/*
 * Copyright (c) 2013-2019 Paul Davis
 *  
 * This file is part of Master of Tactics.
 *
 * Master of Tactics is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Master of Tactics is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Master of Tactics.  If not, see <https://www.gnu.org/licenses/>.
 * 
 * @author Paul Davis
 */
package mot.client.swing.common;

public class IconSequence  {
    private String image;
    private int qty;
    private int height;
    private int width;

    public IconSequence() {
    }

    public IconSequence(String image, int qty, int width, int height) {
        this.image = image;
        this.qty = qty;
        this.height = height;
        this.width = width;
    }

    public int getQty() {
        return qty;
    }

    public void setQty(int v) {
        this.qty = v;
    }

    public int getHeight() {
        return height;
    }

    public void setHeight(int height) {
        this.height = height;
    }

    public int getWidth() {
        return width;
    }

    public void setWidth(int width) {
        this.width = width;
    }


    public void setImage(String image) {
        this.image = image;
    }


    public String getImage() {
        return image;
    }
}