/*
 * Copyright (c) 2013-2019 Paul Davis
 *  
 * This file is part of Master of Tactics.
 *
 * Master of Tactics is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Master of Tactics is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Master of Tactics.  If not, see <https://www.gnu.org/licenses/>.
 * 
 * @author Paul Davis
 */
package mot.client.swing.window.battle.actions;

public interface MotBattleMapActions {
    public static final String NEXT_CRAFT_BUTTON_TEXT = "Next";
    public static final String END_BATTLE_TURN_BUTTON_TEXT = "End";
    public static final String RETREAT_BUTTON_TEXT = "Retreat";
    public static final String AUTO_BUTTON_TEXT = "Auto";
    public static final String MODE_BUTTON_MOVE = "Move";
    public static final String MODE_BUTTON_TURN = "Turn";
    public static final String MODE_BUTTON_ATTACK = "Attack";
    public static final String MODE_BUTTON_EXPRESS = "Express";
    public static final String COMPLETE_BUTTON_TEXT = "Complete";
    public static final String LAUNCH_FIGHTERS_TEXT = "Fighters";
    public static final String WAIT_BUTTON_TEXT = "Wait";
    public static final String MISSILE_DEFENCE_ON = " Auto Defend ";
    public static final String MISSILE_DEFENCE_OFF = "Manual Defend";
}
