/*
 * Copyright (c) 2013-2019 Paul Davis
 *  
 * This file is part of Master of Tactics.
 *
 * Master of Tactics is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Master of Tactics is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Master of Tactics.  If not, see <https://www.gnu.org/licenses/>.
 * 
 * @author Paul Davis
 */
package mot.common.bean;

/**
 * 
 */
public class GameConstants {

	public static final double LEVEL_EASY_BONUS = 0.5;
	public static final double LEVEL_NORMAL_BONUS = 1.0;
	public static final double LEVEL_HARD_BONUS = 2.0;
	public static final double LEVEL_REAL_HARD_BONUS = 4.0;
	
	public static final int MONEY_BONUS_NONE = 0;
	public static final int MONEY_BONUS_GOLD = 25;
	public static final int MONEY_BONUS_DIAMONDS = 50;
	public static final int MONEY_BONUS_GEMS = 100;

	public static final int MAX_BATTLE_TURNS = 25;

	public static final String TUTORIAL_HOME_NAME = "Home";
	public static final String TUTORIAL_FIRST_COLONY_NAME = "First";
	public static final String TUTORIAL_FIRST_EXPLORE_NAME = "ExploreMe";
	public static final String TUTORIAL_FIRST_GUIRDED_NAME = "Guarded";

	
}
