/*
 * Copyright (c) 2013-2019 Paul Davis
 *  
 * This file is part of Master of Tactics.
 *
 * Master of Tactics is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Master of Tactics is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Master of Tactics.  If not, see <https://www.gnu.org/licenses/>.
 * 
 * @author Paul Davis
 */
package mot.common.lang;

import mot.common.bean.GameConstants;

public class L {

	public static String CRAFT_DESIGN_LIST_WINDOW = "Craft Design List Window";
	public static String AVAILABLE_CRAFT_DESIGNS = "Available Craft Designs";
	public static String RACE = "Race";
	public static String COMMUNICATION = "Communication";
	public static String NEGOTIATION = "Negotiation";
	public static String MISS = "Miss";
	public static String NO_LOCK = "No Lock";
	public static String HAS_SURENDERED = " has surrendered";
	public static String SURENDERED = "Surrendered";
	public static String CRAFT = "Craft";
	public static String CRAFT_ = "Craft ";
	public static String HAS_BEEN_CANCELLED = " has been cancelled";
	public static String TREATY_WITH = " treaty with ";
	public static String YOUR = "Your ";
	public static String HAS_DECLARED_WAR_ON_YOU = " declared war";
	public static String PLAYER = "Player";
	public static String PLAYER_ = "Player ";
	public static String HAS_ADOPTED_MORAL_POLICY = " has adopted moral policy : ";
	public static String YOUR_ALLIANCE_OFFER = " your alliance offer";
	public static String HAS = " has ";
	public static String YOUR_DEMAND = " your demand";
	public static String MONEY = "Money";
	public static String MONEY_ = "Money ";
	public static String TECHNOLOGY = "Technology";
	public static String TECHNOLOGY_ = "Technology ";
	public static String TECH_ = "Tech ";
	public static String PLANET = "Planet";
	public static String PLANET_ = "Planet ";
	public static String DOES_NOT_AGREE = " does not agree";
	public static String AT = " at ";
	public static String HEADING_TO_ = "heading to ";
	public static String CAP_HEADING_TO_ = "Heading to: ";
	public static String ATTEMPTED_A_SABBOTAGE = "attempted a sabbotage";
	public static String DESTROYED = "destroyed";
	public static String KILLED = "killed ";
	public static String COLONY_DESTROYED = "Colony Destroyed";
	public static String SABOTAGED = "sabotaged ";
	public static String _FACTORIES_ = " factories ";
	public static String POPULATION1 = "Population";
	public static String POPULATION2 = " population ";
	public static String _PRODUCTION_ = " production ";
	public static String PRODUCTION = "Production";
	public static String YOU_HAVE = "You have ";
	public static String FROM = " from ";
	public static String YOU_HAVE_STOLEN_TECHNOLOGY = "You have stolen technology ";
	public static String FROM_YOU = " from you";
	public static String HAS_STOLEN_TECHNOLOGY = " has stolen technology ";
	public static String EVENT_NOTIFICATION = "Event Notification";
	public static String WOULD_YOU_LIKE_TO_ACCEPT = "\nWould you like to accept?";
	public static String REQUEST_A_TRADE_AGREEMENT_WITH_YOU = " request a Trade Agreement with you";
	public static String YOUR_TRADE_OFFER = " your trade offer";
	public static String I_ACCEPT_YOUR_OFFER = "I accept your offer";
	public static String REJECTED = "rejected";
	public static String ACCEPTED = "accepted";
	public static String _AGREED_TO_AN_ = " agreed to an ";
	public static String WANTED = " Wanted : ";
	public static String REQUESTS_AN_EXCHANGE_OFFERED = " requests an exchange - Offered : ";
	public static String YOUR_SWAP = " your swap";
	public static String NON_AGGRESSION_TREATY = "Non Aggression Treaty";
	public static String PEACE_TREATY = "Peace Treaty";
	public static String WAR_TREATY = "War Declared";
	public static String ALLIENCE_TREATY = "Alliance Treaty";
	public static String TRADE_TREATY = "Trade Agreement Treaty";
	public static String RESEARCH_TREATY = "Research Agreement Treaty";
	public static String REQUESTS_A_RESEAECH_TREATY_WITH_YOU = " requests a Research Treaty with you";
	public static String RESEARCH_TREATY_SIGNED_WITH = "Research Treaty signed with ";
	public static String RESEARCH_TREATY_REJECTED_WITH = "Research Treaty rejected with ";
	public static String PEACE_TREATY_SIGNED_WITH = "Peace Treaty signed with ";
	public static String PEACE_TREATY_REJECTED_WITH = "Peace Treaty rejected with ";
	public static String NON_AGRESSION_PACT_SIGNED_WITH = "Non Aggression pact signed with ";
	public static String NON_AGRESSION_PACT_REJECTED_WITH = "Non Aggression pact rejected with ";
	public static String ALLIANCE_SIGNED_WITH = "Alliance signed with ";
	public static String ALLIANCE_REJECTED_WITH = "Alliance rejected with ";
	public static String ASSET_SWAP_AGREED_WITH = "Asset Swap agreed with ";
	public static String ASSET_SWAP_REJECTED_WITH = "Asset Swap rejected with ";

	public static String YOUR_OFFER = " your offer";
	public static String YOUR_RESEARCH_TREATY_OFFER = " your research treaty offer";
	public static String REQUESTS_A_PEACE_TREATY_WITH_YOU = " requests a Peace Treaty with you";
	public static String YOUR_PEACE_OFFER = " your peace offer";
	public static String REQUESTS_A_NON_AGRESSION_PACT_WITH_YOU = " requests a Non Aggression Pact with you";
	public static String YOUR_NON_AGRESSION_OFFER = " your non aggression offer";
	public static String REQUESTS_AN_ALLIANCE_WITH_YOU = " requests an Alliance with you";
	public static String TRADE_AGREEMENT_SIGNED_WITH = "Trade Agreement signed with ";
	public static String TRADE_AGREEMENT_REJECTED_WITH = "Trade Agreement rejected with ";
	public static String DEMAND_GRANTED_TO = "Demand granted to ";
	public static String DEMAND_REJECTED_TO = "Demand rejected from ";
	public static String WOULD_YOU_CONSIDER_SIGNING_A_ = "Would you consider signing a ";

	public static String HAS_SURRENDERED_TO = " has surrendered to ";
	public static String HAS_BEEN_DESTROYED = " has been destroyed";
	public static String YOU_ARE_BIG_LOSER_NEXT_TIME_YOU_WILL_BE_EVEN_BIGGER_LOSER = "You are big loser - Next time you will be even bigger loser!!!";
	public static String THANKS_YOU_FOR_YOUR_GIFT = " : Thanks you for your gift";
	public static String AS_A_GESTURE_OF_GOODWILL = " as a gesture of goodwill";
	public static String HAS_GIVEN_YOU = " has given you ";
	public static String WILL_YOU_CONCEDE = "\nWill you concede?";
	public static String DEMANDS = " Demands:";
	public static String SOME_OF_YOUR_SPIES_HAVE_DESERTED_YOUR_CAUSE = "Some of your spies have deserted your cause";
	public static String YOU_HAVE_DISCOVERED_A_NEW_TYPE_OF_ENGINE_WOULD_YOU_LIKE_TO_UPGRADE_ALL_YOU_CRAFTS_TO_THIS_ENGINE = "<html>You have discovered a new type of engine. <br/> Would you like to upgrade all you crafts to this engine?</html>";
	public static String YOU_HAVE_DISCOVERED_A_NEW_TYPE_OF_FACTORY_WOULD_YOU_LIKE_TO_ALLOCATE_SOME_PRODUCTION_TO_DEVELOPMENT_ON_EACH_PLANET = "<html>You have discovered a new type of factory. <br/> Would you like to allocate some production to development on each planet?</html>";
	public static String YOU_HAVE_DISCOVERED_A_BIOTECHNOLOGY_THAT_INCREASES_YOUR_TERAFORM_LEVEL_WOULD_YOU_LIKE_TO_ALLOCATE_SOME_PRODUCTION_TO_ECOLOGY_ON_EACH_PLANET = "<html>You have discovered a biotechnology that increases your teraform level. <br/> Would you like to allocate some production to ecology on each planet?</html>";
	public static String DISCOVERED = "Discovered";
	public static String DISCOVERED_ = "Discovered ";
	public static String DISCOVERED_FROM_SALVAGE = "Technology Discovered from Salvage";
	public static String DISCOVER_FROM_SALVAGE_ = " Discover Technology from Salvage ";
	public static String SALVAGED = "Salvaged ";
	public static String LOSING_CRAFT = " losing craft ";
	public static String YOU_HAVE_BEEN_ROUTED_AT = "You have been routed at ";
	public static String DESCRIPTION = "\nDescription: ";
	public static String A_CIVIL_SERVANT_HAS_BEEN_WORKING_ON_A_NEW_POLICY_CALLED = "A civil servant has been working on a new policy called ";
	public static String FACTORIES_DESTROYED = " Factories destroyed ";
	public static String HAS_BEEN_BOMBARDED_POPULATION_DESTROYED = " has been bombarded Population destroyed ";
	public static String HAS_OFFERED_TO_JOIN_YOU_DO_YOU_WISH_TO_ACCEPT = " has offered to join you. Do you wish to accept?\n";
	public static String A_FAMOUS_AND_GIFTED_LEADER_CALLED = "A Famous and gifted leader called ";
	public static String SPIES = " spies";
	public static String SPIES2 = "Spies";
	public static String SPY_RECRUIT = "Spy Recruit";
	public static String YOU_HAVE_RECRUITED_A_NEW_SPY_YOU_NOW_HAVE = "You have recruited a new spy. You now have ";
	public static String ATTACK = " attack ";
	public static String ATTACK_EACHOTHER = " attack each other";
	public static String STARTS2 = " Starts";
	public static String STARTS1 = " Starts, ";
	public static String HAS_GAINED_A_LEVEL = " has gained a level";
	public static String LEADER = "Leader ";
	public static String REMAINING_DEFENDERS = "  Remaining Defenders  ";
	public static String REMAINING_ATTACKERS = " Remaining Attackers ";
	public static String FAILED_GROUND_ASSAULT_AT = "Failed Ground Assault at ";
	public static String SUCCESSFUL_GROUND_ASSAULT_AT = "Successful Ground Assault at ";
	public static String GAME_HAS_ENDED_YOU_LOST_BETTER_LUCK_NEXT_TIME = "Game has Ended - You lost, better luck next time!";
	public static String GAME_HAS_ENDED_VICTORY_IS_YOURS = "Game has Ended - Victory is yours";
	public static String YOUR_FUNDS_ARE_RUNNING_LOW = "Your funds are running low";
	public static String TO_PAY_HIS_MEN_S_SALARY = " to pay his men's salary";
	public static String YOU_HAVE_NOT_GOT_THE_FUNDS_TO_MAINTAIN_YOU_ASSETS_AND_STAFF_ARE_COMPLAINING_THEY_ARE_NOT_BEING_PAID_A_COMMANDER_HAS_REBELLED_AND_SOLD = "You have not got the funds to maintain your assets and staff are complaining they are not being paid.\nA commander has rebelled and sold ";
	public static String ECOLOGY_WORK_HAS_BEEN_COMPLETED = "Ecology work has been completed";
	public static String SERVER_CONNECTION_ERROR = "Server Connection Error: ";
	public static String YOU_LOST_THE = "You lost the ";
	public static String YOU_WON_THE = "You won the ";
	public static String YOU_SURVIVED_THE = "You survived the ";
	public static String COLONY_ON = "Colony on ";
	public static String NET_INCOME = "Net Income";
	public static String TOTAL_EXPENSES = "Total Expenses";
	public static String TOTAL_INCOME = "Total Income";
	public static String TITLE_EMPIRE_WINDOW = "Empire Details";
	public static String _FOR_ = " for ";
	public static String SOLD_SALVAGE = "Sold Salvage ";
	public static String EMPIRE_S_LEADERS_DETAILS = "Empire's Leaders Details";
	public static String EMPIRE_S_PLAYER_DETAILS = "Empire's Player Details";
	public static String TOTAL_PRODUCTION_OUTPUT = "Total Production Output";
	public static String MORAL_CHOICES = "Moral Choices";
	public static String __LEVEL_ = " [ Level ";
	public static String NO_GOVENOR = "No Governor";
	public static String NO_GENERAL = "No General";
	public static String NOT_ALIGNED_TO_ANY_ANCIENT_RACES = "Not Aligned";
	public static String BONUSES = " Bonuses";
	public static String SALVAGE_COLLECTED = "Salvage Collected";
	public static String DETAILED_CRAFT_DESIGN_INFORMATION = "Detailed Craft Design Information";
	public static String CRAFT_DESIGN_INFORMATION = "Craft Design Information";
	public static String CRAFT_DESIGN_DETAILS = "Craft Design Details";
	public static String CRAFT_DESIGN = "Craft Design";
	public static String __BUILD_COST_NOW__ = "  Build Cost Now  ";
	public static String __BUILD_COST__ = "  Build Cost  ";
	public static String __REMAINING_SPACE__ = "  Remaining Space  ";
	public static String __TOTAL_SPACE__ = "  Total Space  ";
	public static String FLEET_DETAILS = "Fleet Details";
	public static String OUTPOST_SCAN = "Outpost : Scan ";
	public static String TITLE = "Craft Details";
	public static String LEAVE = "Leave";
	public static String DETAILS = "Details";
	public static String AUTO = "Auto";
	public static String AUTO_SAME_HULL = "Auto Same Hull";
	public static String FINISH = "Finish";
	public static String INVALID_DESIGN_NO_ENOUGH_SPACE_FOR_ALL_THIS_EQUIPMENT = "Invalid Design - No enough space for all this equipment";
	public static String ADD = "Add";
	public static String REMOVE = "Remove";
	public static String DELETE = "Delete";
	public static String TRADE_TOTAL = "TRADE TOTAL";
	public static String CRAFTS_TOTAL = "CRAFTS TOTAL";
	public static String PLANETS_TOTAL = "PLANETS TOTAL";
	public static String INCOME = "INCOME";
	public static String EXPENSE = "EXPENSE";
	public static String EMPIRE_BALANCE_SHEET = "Empire Balance Sheet";
	public static String TOTAL_INCOME_CAPS = "TOTAL INCOME";
	public static String TOTAL_EXPENSES_CAPS = "TOTAL EXPENSES";
	public static String PLANET_SELECTION = "Planet Selection";
	public static String PLEASE_SELECT_THE_PLANET_YOU_WISH_TO_SPY_ON = "Please select the planet you wish to spy on";
	public static String SABOTAGE = "Sabotage";
	public static String ESPIONAGE = "Espionage";
	public static String SELL_ALL_SALVAGE = "Sell all Salvage";
	public static String DEFEND = "Defend";
	public static String DEFENDED = "Defended";
	public static String NO_DEFENCES = "No Defences";
	public static String TREATY_DETAILS = "Treaty Details";
	public static String ALLIANCE = "Alliance";
	public static String ALLIANCES = "Alliances";
	public static String TRADERS = "Traders";
	public static String RESEARCHERS = "Researchers";
	public static String WARS = "Wars";
	public static String ALL = "All";
	public static String UNDISCOVERED_BY_YOU = "Undiscovered (You)";
	public static String UNDISCOVERED_BY_THEM = "Undiscovered (Them)";
	public static String CLOSE = "Close";
	public static String CLOSE_EDITOR = "Close Editor";
	public static String STOP_TUTORIAL = "Stop Tutorial";
	public static String SKIP_TIP = "Skip Tip";
	public static String UPDATE = "Update";
	public static String ESPIONAGE_REPORT_WINDOW = "Espionage Report Window ";
	public static String GRAPH_WINDOW = "Graph Window";
	public static String NO_DIPLOMATIC_RELATIONS = "No Diplomatic Relations";
	public static String TRADE = "Trade";
	public static String TREATIES = "Treaties";
	public static String MONEY_PER_TURN = "Money per Turn";
	public static String CHANGE_TO_RECRUIT = "Chance to Recruit";
	public static String ACCUMULATED_EFFORT = "Accumulated Effort";
	public static String RECRUIT_SPIES_WINDOW = "Recruit Spies Window";
	public static String SELECT = "Select";
	public static String BUILD_ON_IDLE = "Build On Idle";
	public static String DIPLOMACY_WINDOW = "Diplomacy Window";
	public static String SELECT_A_PLANET_TO_OFFER = "Select a planet to offer";
	public static String SELECT_A_CRAFT_TO_OFFER = "Select a planet to offer";
	public static String YOU_DO_NOT_HAVE_ANY_PLANETS_TO_GIVE_AWAY = "You do not have any planets to give away";
	public static String YOU_DO_NOT_HAVE_ANY_CRAFTS_TO_GIVE_AWAY = "You do not have any crafts to give away";
	public static String YOU_DO_NOT_HAVE_ANY_TECHS_TO_GIVE_AWAY = "You do not have any techs to give away";
	public static String NO_TECHS_OFFERED_TO_TRADE = "No technologies have been offered to trade or demand";
	public static String INVALID_MONEY_MUST_BE_A_VALID_WHOLE_NUMBER_NO_LETTERS_OR_SPACES = "Invalid Money - Must be a valid whole number (no letters or spaces)";
	public static String INPUT = "Input";
	public static String ENTER_THE_AMOUNT = "Enter the amount";
	public static String YOU_MUST_SPECIFY_ASSETS = "You must specify assets";
	public static String _GIVE_YOU_ = " give you ";
	public static String _GIVE_ = " give ";
	public static String YOU_DEMANDED_ = "You demanded ";
	public static String _DEMANDED_ = " demanded ";
	public static String _WITH_ = " with ";
	public static String DATE_ = "Date ";
	public static String _IN_EXCHANGE_FOR = " in exchange for ";
	public static String YOU_GIFTED_ = "You gifted ";
	public static String _GIFTED_ = " gifted ";
	public static String YOU_OFFERED_ = "You offered ";
	public static String _OFFERED_ = " offered ";
	public static String SEND = "Send";
	public static String SEND_WITH_CUSTOM_MESSAGE = "Send (with cusom message)";
	public static String NOTHING = "Nothing";
	public static String OFFER = "Assets available to offer:";
	public static String REQUEST = "Assets available to request:";
	public static String REQUEST_TREATIES = "Treaties available to request:";
	public static String YOU_REQUEST_AN_ALLIANCE_WITH = "You request an Alliance with ";
	public static String MESSAGE = "Message";
	public static String CUSTOM_MESSAGE = "Custom Message";
	public static String ENTER_CUSTOM_MESSAGE = "Enter a Message";
	public static String YOU_DECLARED_WAR_ON = "You declared War on ";
	public static String _DECLARED_WAR_ON_ = " declared War on ";
	public static String DECLARE_WAR_ON = "Declare war on ";
	public static String DECLARE_WAR_ON_PLAYER_WITH_SAME_ALIGNMENT = "This player has the same alignment as you, Declare war on ";
	public static String YOU_REQUEST_A_TRADE_TREATY_WITH = "You request a Trade Treaty with ";
	public static String YOU_REQUEST_A_RESEARCH_TREATY_WITH = "You request a Research Treaty with ";
	public static String WAR = "War";
	public static String RESEARCH = "Research";
	public static String YOU_REQUEST_A_PEACE_TREATY_WITH = "You request a Peace Treaty with ";
	public static String YOU_REQUEST_A_NON_AGRESSION_PACT_WITH = "You request a Non Aggression Pact with ";
	public static String REQUEST_PEACE = "Request Peace";
	public static String NON_AGRESSION = "Non Aggression";
	public static String NON_AGRESSION_TREATY = "Non Aggression Treaty";
	public static String YOU_CANNOT_VIEW_THE_ESPIONAGE_REPORT_FOR_THIS_PLAYER_BECUASE_YOU_HAVE_NOT_ALLOCATED_ANY_SPIES_TO_THIS_PLAYER = "You cannot view the espionage report for this player because you have not allocated any spies to this player";
	public static String YOU_CAN_ALREADY_VIEW_THE_ESPIONAGE_REPORT_FOR_THIS_PLAYER = "You can already view the espionage report for this player";
	public static String UPDATE_REPORT = "Assign Spies to Player";
	public static String VIEW_REPORT = "View Report";
	public static String RECRUIT_SPIES = "Recruit Spies";
	public static String END_GAME = "End Game";
	public static String FILE_NAME = "File Name";
	public static String LOADING = "Loading.....";
	public static String CANCEL = "Cancel";
	public static String LOAD = "Load";
	public static String CONTINUE = "Continue";
	public static String LOAD_WINDOW = "Load Window";
	public static String SAVE_WINDOW = "Save Window";
	public static String SAVE = "Save";
	public static String CRAFTS_BUILT = "Built";
	public static String CRAFTS_DESTROYED = "Killed";
	public static String CRAFTS_INVADED = "Taken";
	public static String PLAYER_CONNECT_WINDOW = "Player Connect Window";
	public static String REFRESH_TEXT = "Refresh";
	public static String START_TEXT = "Start";
	public static String COLONISE_PLANET = "Colonise Planet";
	public static String UNABLE_TO_CONNECT_TO_A_GAME_SERVER = "Unable to connect to a Game Server";
	public static String NOT_TO_CONNECT_TO_A_GAME_SERVER = "Not to connect to a Game Server";
	public static String CONFIRM = "Confirm";
	public static String KEEP_WAITING_FOR_A_PLAYER_TO_START = "Keep waiting for a player to start?";
	public static String PLEASE_WAIT_FOR_THE_GAME_TO_BE_STARTED_CLICK_OK_TO_CHECK_IF_THE_GAME_HAS_BEEN_STARTED_YET = "PLEASE WAIT FOR THE GAME TO BE STARTED\nClick OK to check if the game has been started yet";
	public static String YOU_CAN_ONLY_SELECT_OPTIONS_UPTO_A_TOTAL_COST_OF = "You can only select options upto a total cost of ";
	public static String _OF_ = " of ";
	public static String DIFFICULTY = "Difficulty";
	public static String COLOUR = "Colour";
	public static String QTY_COMPUTER_PLAYERS = "Enemies";
	public static String GALAXY_SIZE = "Galaxy Size";
	public static String ANCIENT_RACE_ALIGNMENT = "Alignment";
	public static String RACE_SELECTION = "Race Selection";
	public static String GAME_SETUP = "Game Setup";
	public static String NEW_GAME = "New Game";
	public static String NEW_GAME_WINDOW = "New Game Window";
	public static String NEW_CUSTOM_GAME = "New Custom Game";
	public static String SERVER_IP = "Server IP Address (e.g. 192.168.0.10)";
	public static String CONNECT = "Connect";
	public static String JOIN = "Join";
	public static String SWITCH_ON_MP = "Switch On Multi-Player";
	public static String SWITCH_OFF_MP = "Switch Off Multi-Player";
	public static String WELCOME = "Welcome";
	public static String SELECT_A_COLONY_TO_ATTACK = "Select a colony to Attack";
	public static String YOU_CANNOT_COLONISE_ANYTHING_HERE = "You cannot colonise anything here";
	public static String SELECT_A_PLANET_TO_COLONISE = "Select a Planet to Colonise";
	public static String COLONISER_CRAFT_HAS_ARRIVED_AT = "Coloniser craft has arrived at";
	public static String EXPRESS_KEY_ = "Express key ";
	public static String YEAR = "Year";
	public static String FUNDS = "Funds";
	public static String TRANS = "Trans";
	public static String DISCOVER_PRIZE = "Discover Prize";
	public static String GIFT_NOTIFICATION = "Gift Notification";
	public static String BATTLES_OCCUR_AT_END_OF_TURN = "Battles occur at end of turn";
	public static String ENEMY_SELECTION = "Enemy Selection";
	public static String ATTACK_AN_ENEMY_PLANET_CRAFT_OR_FLEET = "Attack an enemy planet, craft or fleet";
	public static String YOU_HAVE_MULTIPLE_ENEMIES_AT_THIS_LOCATION_PLEASE_SELECT_THE_ENEMY_YOU_WISH_TO_ATTACK = "You have multiple enemies at this location. Please select the enemy you wish to attack.";
	public static String BOMBARD_AN_ENEMY_PLANET = "Bombard an enemy planet";
	public static String COLONISE_AN_UNINHABITED_PLANET = "Colonise an uninhabited planet";
	public static String DELEET_THE_CURRENTLY_SELECTED_CRAFT = "Delete the currently selected craft";
	public static String DEPLOY_THE_CURRENTLY_SELECTED_MOO = "Deploy the currently selected transport or craft";
	public static String SLEEP_THE_CURRENTLY_SELECTED_MOO = "Instruct the selected item to sleep (not ask for a task every turn)<br/>If no craft is selected when express key is pressed all crafts are slept";
	public static String INVADE_AN_ENEMY_PLANET = "Invade an enemy planet";
	public static String MAKE_THE_CURRENTLY_SELECTED_CRAFT_JOIN_A_FLEET_AT_ITS_LOCATION = "Make the currently selected craft join a fleet at its location";
	public static String INSTRUCT_SELECTED_CRAFT_LEAVE_A_FLEET = "Instruct selected craft to leave a fleet";
	public static String UPGRADE_THE_CURRENTLY_SELECTED_CRAFT = "Upgrade the currently selected craft to a new design with the same hull";
	public static String SET_WAYPOINT = "Set the Way Point (location all new crafts are sent to)";
	public static String CREATE_TRADE_ROUTE = "Create a new trade route between this plant and other planet in the galaxy";
	public static String CREATE_A_TRADE_ROUTE = "Create a trade route";
	public static String REMOVE_WAYPOINT_TT = "Remove the Way Point (location all new crafts are sent to)";
	public static String TRANSPORT_TROOPS_TT = "Load 5 troops into a transport in orbit aroudn this planet (troops are used to invade enemy planets)";
	public static String TRANSPORT_COLONISTS_TT = "Load 5 colonists into a transport in orbit aroudn this planet (colonists may be moved re-distribute your population)";
	public static String END_THE_CURRENT_TURN_OF_THE_GAME_AND_START_THE_NEXT = "End the current turn of the game and start the next";
	public static String QUIT_THE_GAME_DOES_NOT_SAVE_THE_CURRENT_GAME = "Quit the game (does not save the current game)";
	public static String SCROLL_THE_GALAXY_WINDOW_TO_DISPLAY_YOUR_CAPITAL_SOLAR_SYSTEM = "Scroll the galaxy window to display your capital solar system";
	public static String INCREASE_THE_PERCENTAGE_OF_EFFORT_DEDICATED_TO_PLANETARY_DEVELOPMENT = "Increase the percentage of effort dedicated to planetary development";
	public static String INCREASE_THE_PERCENTAGE_OF_EFFORT_DEDICATED_TO_PLANETARY_ECOLOGY = "Increase the percentage of effort dedicated to planetary ecology";
	public static String LOAD_AN_OLD_GAME_THAT_YOU_HAVE_PREVIOUSLY_SAVED = "Load an old game that you have previously saved";
	public static String START_A_NEW_GAME = "Start a new game";
	public static String OPEN_THE_BALANCE_SHEET_WINDOW = "Open the balance sheet window";
	public static String OPEN_THE_DISPLAY_COLONIES_WINDOW = "Open the display colonies window";
	public static String OPEN_THE_CRAFT_DESIGN_WINDOW = "Open the craft design window";
	public static String OPEN_THE_CRAFT_DETAILS_WINDOW = "Open the craft details window";
	public static String OPEN_THE_DIPLOMACY_WINDOW = "Open the diplomacy window";
	public static String OPEN_THE_EMPIRE_DETAILS_WINDOW = "Open the empire details window";
	public static String OPEN_THE_FLEET_DETAILS_WINDOW = "Open the fleet details window";
	public static String OPEN_THE_VIEW_PLANETS_WINDOW_DISPLAY_ALL_PLANETS_IN_THE_GALAXY = "Open the view planets window (display all planets in the galaxy)";
	public static String OPEN_THE_RESEARCH_WINDOW = "Open the research window";
	public static String SAVE_THE_CURRENT_GAME = "Save the current game";
	public static String OPEN_THE_GAME_EDITOR_WINDOW = "Open the game editor window";
	public static String OPEN_THE_GAME_SETTINGS_WINDOW = "Open the game settings window";
	public static String OPEN_THE_GAME_STATISTICS_WINDOW = "Open the graphical statistics window";
	public static String UPGRADE_THE_ENGINES_OF_ALL_CRAFT_TO_HAVE_THE_FASTEST_ENGINES = "Upgrade the engines of all craft to have the fastest engines";
	public static String END_TURN_HELP = "End this turn of the game and start a new one";
	public static String END_TURN = "End Turn";
	public static String SLEEP = "Sleep";
	public static String BUSY_NEW_TURN_STARTES_AFTER_ALL_REQUESTS_ARE_COMPLETED = "Cannot End Turn - Complete previous End Turn requests and return to galaxy screen";
	public static String END_TURN_WARNING_NOT_ALL_CRAFTS_MOVED = "<html>Warning - Not all crafts have been moved (press end turn again to ignore).<br/>If you do not want this warning, sleep the idle crafts or switch off move craft warning in settings window</html>";
	public static String END_TURN_IN_PROGRESS = "End Turn is in progress";
	public static String WAITING = "Waiting";
	public static String NO = "No";
	public static String YES = "Yes";
	public static String _AND_ = " and ";
	public static String BOMBARD = "Bombard";
	public static String CRISIS = "Crisis";
	public static String PLANET_BOMBARDED = "Planet Bombarded";
	public static String RENAME_NEW_COLONY = "Rename New Colony";
	public static String THIS_SOLAR_SYSTEM_WILL_BE_CALLED = "This Solar System will be called";
	public static String THIS_FLEET_WILL_BE_CALLED = "This fleet will be called";
	public static String PLANET_COLONISED = "Planet Colonised";
	public static String INVADE_PLANET = "Invade Planet";
	public static String SCANNERS = "Scanners";
	public static String SHIELDS = "Shields";
	public static String WEAPONS = "Weapons";
	public static String BATTLE_STATION = "Battle Station";
	public static String TRADE_ROUTES = "Trade Routes";
	public static String TRADE_ROUTE = "Trade Route";
	public static String NO_BATTLE_STATION = "No Battle Station";
	public static String GROUND_DEFENSES = "Ground Defenses";
	public static String INFLUENCE = "Influence";
	public static String LOST_PRODUCTION = "Lost Production";
	public static String MINING_COLONY = "Mining Colony";
	public static String MIN_ECOLOGY = "Min Ecology";
	public static String FACTORIES = "Factories";
	public static String POPULATION = "Population";
	public static String MAX_POP = "Max pop";
	public static String NO_MINING_COLONY = "No Mining Colony";
	public static String MINING_COLONY_OWNED_BY_ = "Mining Colony owned by ";
	public static String MINING_COLONY_LOCATED_AT_ = "Mining Colony located at ";
	public static String MODULES = "Modules";
	public static String DEFENCE_ = "Defense : ";
	public static String WAY_POINT_ = "Waypoint : ";
	public static String POPULATION_ = "Population : ";
	public static String NAME_ = "Name : ";
	public static String PLANET_NAME_ = "Planet Name : ";
	public static String SOLAR_SYSTEM_NAME_ = "Solar System Name : ";
	public static String MISCELLANEOUS = "Miscellaneous";
	public static String WAY_POINT = "Way Point";
	public static String SELECT_A_PROJECT = "Available Projects";
	public static String PROJECT = "Project";
	public static String PROJECT_ = "Project ";
	public static String DEVELOPMENT = "Development";
	public static String ECOLOGY = "Ecology";
	public static String PROJECT_UNKNOWN = "Project : Unknown";
	public static String FERTILITY = "Fertility";
	public static String ARTIFACTS = "Artifacts";
	public static String RICH = "Rich";
	public static String POOR = "Poor";
	public static String FERTILE = "Fertile";
	public static String INFERTILE = "Infertile";
	public static String NATIVES = "Natives";
	public static String PLANETS = "Planets";
	public static String PLANETS_WINDOW = "Planets Window";
	public static String SELECT_PLANET = "Select Planet";
	public static String CONFIRMATION_DIALOG = "Confirmation Dialog";
	public static String TECHNOLOGY_SELECTION = "Technology Selection";
	public static String PLEASE_SELECT_A_TECHNOLOGY_TO_UPGRADE = "Please select a technology to upgrade";
	public static String YOU_HAVE_MANUALLY_SELECT_UPGRADES_CHECKED_WOULD_YOU_LIKE_TO_UPGRADE_A_TECHNOLOGY = "You have 'Manually Select Upgrades' checked\nWould you like to upgrade a technology?";
	public static String NO_PROJECT = "No Project";
	public static String REPEAT = "Repeat";
	public static String BUILD_COST = "Build Cost";
	public static String MANUALLY_SELECT_UPGRADES = "Manually Select Upgrades";
	public static String SELECT_PROJECT_ON_ = "Select Project on ";
	public static String TURNS_TO_BUILD = "Turns to Build";
	public static String BLOCKADED_CAPS = "BLOCKADED";
	public static String GUARDED_CAPS = "GUARDED";
	public static String DOMINATED_CAPS = "DOMINATED";
	public static String _GOVERNING_ = " governing ";
	public static String SOLAR_SYSTEM_ = "Solar System ";
	public static String OTHER = "Other";
	public static String MINING = "Mining";
	public static String DEFENSE = "Defense";
	public static String OUTPUT = "Output";
	public static String SOLAR_SYSTEM_WINDOW = "Solar System Dialog";
	public static String TRANSFER_COLONISTS = "Load 5 Colonists";
	public static String TRANSFER_TROOPS = "Load 5 Troops";
	public static String SET_PLANET_WAYPOINT = "Set Planet as Waypoint";
	public static String SET_SUN_WAYPOINT = "Set Sun as Waypoint";
	public static String REMOVE_WAYPOINT = "Remove Fleet Waypoint";
	public static String VIEW = "View";
	public static String GENERAL_PURPOSE_COMMERCIAL_TRANSPORT = "General purpose commercial transport";
	public static String BUILD_CRAFT = "Build Craft";
	public static String BUILD_MODULE = "Build Module";
	public static String BUILD_OTHER = "Build Other";
	public static String BUILD_SCANNER = "Build Scanner";
	public static String BUILD_SHIELD = "Build Shield";
	public static String BUILD_STATION = "Build Station";
	public static String BUILD_WEAPON = "Build Weapon";
	public static String BUILD_QUALITY = "Build Quality";
	public static String AUTO_DEV = "Auto Dev";
	public static String AUTO_ECO = "Auto Eco";
	public static String VARY_PROD = "Vary Prod";
	public static String VARY_RES = "Vary Res";
	public static String ABANDON = "Abandon";
	public static String RENAME = "Rename";
	public static String WHAT_DO_YOU_WANT_THE_NEW_NAME_TO_BE = "What do you want the new name to be?";
	public static String RENAME_COLONY = "Rename Colony";
	public static String BUY = "Buy";
	public static String _AT_COST_ = " at cost ";
	public static String CHANGE = "Change";
	public static String OVERVIEW = "Overview";
	public static String TYPE = "Type";
	public static String TECHNOLOGIES_YOUR_SCIENTISTS_ARE_HAVING_TROUBLE_UNDERSTANDING = "Technologies your scientists are having trouble understanding";
	public static String MISSED_TECHNOLOGIES = "Missed Technologies";
	public static String RECENTLY_MISSED = "Recently Missed";
	public static String TECHNOLOGIES_YOUR_SCIENTISTS_HAVE_ALREADY_DISCOVERED = "Technologies your scientists have already discovered";
	public static String TECHNOLOGIES_COMPLETE_LIST = "Complete list of technologies in the game";
	public static String TECHNOLOGIES_ALREADY_DISCOVERED = "Technologies Already Discovered";
	public static String TECHNOLOGIES_ALL = "All Technologies";
	public static String TECHNOLOGIES_YOUR_SCIENTISTS_ARE_CAPABLE_OF_RESEARCHING_NOW = "Technologies your scientists are capable of researching now";
	public static String TECHNOLOGIES_AVAILABLE = "Technologies Available";
	public static String TECHNOLOGIES_AVAILABLE_FOR_RESEARCH = "Technologies Available for Research";
	// public static String NO_TECHNOLOGY_AVAILABLE_FOR_RESEARCH = "No Technology
	// available for research";
	public static String RESEARCHING_A_ = "Researching a ";
	public static String RESEARCHING_NOTHING = "No Research Project";
	public static String _CALLED_ = " called ";
	public static String NONE = "None";
	public static String TURNS = "Turns";
	public static String RESEARCH_PROJECT_WINDOW = "Research Project Window";
	public static String TECHNOLOGY_WINDOW = "Technology Window";
	public static String TECHNOLOGIES = "Technologies";
	public static String STEAL_TECHNOLOGY_WINDOW = "Steal Technology Window";
	public static String _THIS_RACE_WILL_GIVE_YOU_SPECIAL_TECHNOLOGIES_BUT_DOES_NOT_APROVE_OF_HOSTILITY_TOWARDS_PLAYERS_OF_THE_SAME_ALIGNMENT_ = ". This race will give you special technologies but does not approve of hostility towards players of the same alignment";
	public static String ALIGNED_TO_THE_ANCIENT_RACE_OF_ = "Aligned to the Ancient Race of ";
	public static String NOT_ALIGNED_TO_ANY_OF_THE_ANCIENT_RACES = "Not aligned to any of the Ancient Races";
	public static String NO_MORAL_DECISIONS_HAVE_BEEN_MADE = "No moral decisions have been made";
	public static String DO_YOU_AGREE = "Do you agree?";
	public static String I_DEMAND_YOU_GIVE_ME = "I demand you give me";
	public static String AS_A_FREE_GIFT_I_OFFER_YOU = "As a free gift I offer you";
	public static String WILL_YOU_ACCEPT = "Will you accept?";
	public static String IN_EXCHANGE_FOR = "In exchange for";
	public static String I_OFFER_YOU = "I offer you";
	public static String I_STILL_REMEMBER_YOUR = "I still remember your";
	public static String WE_HAVE_A_RESEARCH_TREATY = "We have a RESEARCH treaty";
	public static String WE_HAVE_A_TRADE_TREATY = "We have a TRADE treaty";
	public static String WE_HAVE_A_PEACE_TREATY = "We have a PEACE treaty";
	public static String WE_HAVE_A_NON_AGRESSION_TREATY = "We have a NON AGGRESSION treaty";
	public static String WE_HAVE_AN_ALLIANCE = "We have an ALLIANCE";
	public static String WE_ARE_AT_WAR = "We are at WAR";
	public static String YOU_HAVE_A_RESEARCH_TREATY = "You have a RESEARCH treaty";
	public static String YOU_HAVE_A_TRADE_TREATY = "You have a TRADE treaty";
	public static String YOU_HAVE_AN_PEACE_TREATY = "You have an PEACE treaty";
	public static String YOU_HAVE_AN_NON_AGRESSION_TREATY = "You have an NON AGGRESSION treaty";
	public static String YOU_HAVE_AN_ALLIANCE = "You have an ALLIANCE";
	public static String YOU_ARE_AT_WAR = "you are at WAR";
	public static String DUE_TO_OUR_OBLIGATION_UNDER_THE_ALIANCE_WITH = " [Due to our obligation under the alliance with ";
	public static String WAR_HAS_BEEN_DECLARED_WITH = "War has been declared with ";
	public static String WE_HAVE_SIGNED_AN_ALIANCE_WITH = "We have signed an alliance with ";
	public static String PREPARE_YOURSELF_FOR_WAR = " - Prepare yourself for WAR!";
	public static String ENTER_THE_NAME_OF_YOUR_PLAYER = "Enter the name of your player";
	public static String HAS_BEEN_UPGRADED_TO_INCLUDE_TRANSPORT_ON = " has been upgraded to include transport on ";
	public static String BECAUSE_THERE_ARE_NO_FREE_TRANSPORTS = " because there are no free transports";
	public static String WAS_UNABLE_TO_COMPLETE_PROJECT = " was unable to complete project ";
	public static String AND_DEPLOYED_IT_TO = " and deployed it to ";
	public static String COMPLETED_MODULE = " completed module ";
	public static String WHAT_HAVE_WE_EVER_DONE_TO_YOU_BR_WE_ARE_MOST_UPSET_WITH_YOUR_CONDUCT = "<html>What Have we ever done to you?<br/>We are most upset with your conduct!!!!</html>";
	public static String YOU_HAVE_STOLEN = "You have stolen ";
	public static String BUILD = "Build";
	public static String BUILD_WITH_SALVAGE = "Build using Salvage";
	public static String RESEARCH_SALVAGE = " Using Salvage";
	public static String INFINATE = "Infinite";
	public static String HAS_COMPLETED_PROJECT = " has completed project ";
	public static String FAIL_SPACE_INCUMBERED_BY_SPACE_OBJECTS = "FAIL - Space incumbered by space objects";
	public static String DEFENDERS = "Defenders";
	public static String ATTACKERS = "Attackers";
	public static String INVASION_OF_ = "Invasion of ";
	public static String PLEASE_ENTER_A_NAME = "Please Enter the Name";
	public static String NEW = "New";
	public static String AUTOMATED_REPAIR = "Automated Repair ";
	public static String RESOURCEFUL_SHIELD = "Resourceful : Shield + ";
	public static final String CONTAINS_TUTORIAL = "contains tutorial";
	public static final String GOTO = "Go To";
	public static final String RESOURCE = "Resource";
	public static final String MONEY_BONUS = "Money Bonus";
	public static final String FERTILITY_BONUS = "Fert Bonus";
	public static final String RESEARCH_BONUS = "Res Bonus";
	public static final String PRODUCTION_BONUS = "Prod Bonus";
	public static final String TERRAFORM = "Terraform";
	public static final String SIZE = "Size";
	public static final String NAME = "Name";
	public static final String OWNER = "Owner";
	public static final String ORIGIN = "Origin";

	// Player Character
	public static String CHANCE_TO_DISCOVER_SALVAGED_TECHNOLOGY = "Chance to Discover Salvaged Technology ";
	public static String _ELOQUENCE = " (Eloquence)";
	public static String INFLUENCE_BONUS = "Influence Bonus ";
	public static String IS_RESOURCEFUL = "Is Resourceful";
	public static String ESPIONAGE_BONUS = "Espionage Bonus ";
	public static String MAXIMUM_PLAYER_TRADE_ROUTES = "Maximum Player Trade Routes ";
	public static String MAXIMUM_SOLAR_SYSTEM_TRADE_ROUTES = "Maximum Solar System Trade Routes ";
	public static String TRADING_INCOME_BONUS = "Trading Income Bonus ";
	public static String CRAFT_CLOAK_BONUS = "Craft Cloak Bonus ";
	public static String CRAFT_MAXIMUM_DAMAGE_BONUS = "Craft Maximum Damage Bonus ";
	public static String WARP_SPEED_BONUS = "Warp Speed Bonus ";
	public static String HAND_TO_HAND_COMBAT_BONUS = "Hand to Hand Combat Bonus ";
	public static String INITIATIVE_BONUS_IN_BATTLE = "Initiative Bonus In Battle ";
	public static String MOVEMENT_BONUS_IN_BATTLE = "Movement Bonus In Battle ";
	public static String TURNING_BONUS_IN_BATTLE = "Turning Bonus In Battle ";
	public static String PSI_RATING = "Psi Rating ";
	public static String FACTORY_PER_POPULATION_BONUS = "Factory Per Population Bonus ";
	public static String PLANETRY_MAXIMUM_POPULATION_BONUS = "Planetary Maximum Population Bonus ";
	public static String PLANETRY_RESEARCH_BONUS = "Planetary Research Bonus ";
	public static String PLANETRY_ECOLOGY_BONUS = "Planetary Ecology Bonus ";
	public static String PLANETRY_REPRODUCTION_BONUS = "Planetary Reproduction Bonus ";
	public static String PLANETRY_DEVELOPMENT_BONUS = "Planetary Development Bonus ";
	public static String PLANETRY_PRODUCTION_BONUS = "Planetary Production Bonus ";

	// Project Types
	public static String DETAILED_STATION_INFORMATION = "Detailed Station Information";
	public static String STATION_INFORMATION = "Station Information";
	public static String STATION_DETAILS = "Station Details";
	public static String STATION_DESIGN = "Station Design";
	public static String ASTEROID_FIELD_INFORMATION = "Asteroid Field Information";
	public static String ASTEROID_FIELD_DESIGN = "Asteroid Field Design";
	public static String PLANET_CONSTRUCTION_INFORMATION = "Planet Construction Information";
	public static String PLANET_CONSTRUCTION_DESIGN = "Planet Construction Design";
	public static String DETAILED_MODULE_INFORMATION = "Detailed Module Information";
	public static String MODULE_INFORMATION = "Module Information";
	public static String MODULE_DETAILS = "Module Details";
	public static String MODULE_DESIGN = "Module Design";
	public static String DETAILED_SCANNER_INFORMATION = "Detailed Scanner Information";
	public static String SCANNER_DETAILS = "Scanner Details";
	public static String SCANNER_INFORMATION = "Scanner Information";
	public static String DETAILED_SHIELD_INFORMATION = "Detailed Shield Information";
	public static String SHIELD_DETAILS = "Shield Details";
	public static String SHIELD_INFORMATION = "Shield Information";
	public static String DETAILED_TRANSPORT_INFORMATION = "Detailed Transport Information";
	public static String TRANSPORT_DETAILS = "Transport Details";
	public static String TRANSPORT_INFORMATION = "Transport Information";
	public static String TRANSPORT = "Transport";
	public static String TRANSPORTS = "Transports";
	public static String DETAILED_WEAPON_INFORMATION = "Detailed Weapon Information";
	public static String WEAPON_DETAILS = "Weapon Details";
	public static String WEAPON_INFORMATION = "Weapon Information";
	public static String _PLANETS = " planets";
	public static String _SECTORS_CONTAINING_ = " sectors containing ";
	public static String THE_NEW_GALAXY_WILL_HAVE_ = "The new galaxy will have ";
	// public static String DIFFICULTY_LEVEL_IS_ = "Difficulty level is ";
	public static String _COMPUTER_PLAYERS_IN_THIS_GAME = " computer players in this game";
	public static String THERE_WILL_BE_ = "There will be ";
	public static String _PER_CRAFT = " per craft";
	public static String ANCIENT_ = "Ancient ";
	public static String KAAN_ATTACK_MSG = "A Space Kaan has been woken from timeless slumber in a nebula - beware!";
	public static String ANCIENTS_ATTACK_MSG_WAR = "You have declared war on another player with the same ancient allegiance as you. You must now incur the wrath of the ancients";
	public static String ANCIENTS_ATTACK_MSG_LOSE_PLANET = "You have violated a planet of a player aligned to an ancient. You must now incur the wrath of the ancients";
	public static String HAS_GIVEN_ALL_PLAYERS_ALIGNED_TO_THEM = " has given all players aligned to them ";

	// Error Messages
	public static String INVALID_ = "Invalid ";
	public static String INVALID_COMMAND = "Invalid Command";
	public static String INVALID_COMMAND_ONLY_TRANSPORTS_WITH_TROOPS_CAN_INVADE = "Invalid Command - Only Transports with troops can invade";
	public static String INVALID_COMMAND_CANNOT_ATTACK_A_SOLAR_SYSTEM_WITH_NO_COLONIES = "Invalid Command - Cannot attack a solar system with no colonies";
	public static String INVALID_COMMAND_PLEASE_SELECT_A_OBJECT_FIRST = "Invalid Command - Please select a object first";
	public static String INVALID_COMMAND_PLEASE_SELECT_A_CRAFT_FIRST = "Invalid Command - Please select a craft first";
	public static String INVALID_COMMAND_CANT_CHANGE_HULL_IN_CRAFT_UPGRADE = "Invalid Command - Can't change craft hull in a upgrade";
	public static String INVALID_COMMAND_CRAFT_MUST_BE_IN_ORBIT_OF_A_SOLAR_SYSTEM = "Invalid Command - Craft must be in orbit of a solar system";
	public static String INVALID_COMMAND_CRAFT_MUST_BE_IN_ORBIT_OF_A_PLANET = "Invalid Command - Craft must be in orbit of a planet";
	public static String INVALID_COMMAND_CANNOT_ATTACK_THIS_TYPE_OF_STELLAR_OBJECT = "Invalid Command - Cannot attack this type of stellar object";
	public static String INVALID_COMMAND_YOU_DO_NOT_HAVE_AN_ENEMY_AT_THIS_LOCATION = "Invalid Command - You do not have an enemy to attack at this location";
	public static String INVALID_COMMAND_THIS_PLANET_THAT_DOES_NOT_BELONG_TO_YOU = "Invalid Command - This planet that does not belong to you";
	public static String INVALID_CRAFT_DESIGN_ONLY_ONE_SHIELD_OF_ANY_TYPE = "Invalid Craft Design - Can only have a single shield of each type";
	public static String INVALID_CRAFT_DESIGN_NOT_ENOUGH_SPACE_TO_STORE_ALL_THE_EQUIPMENT = "Invalid Craft Design - Not enough space to store all the equipment";
	public static String INVALID_CRAFT_RESOURCEFUL_PLAYERS_GET_REPAIR_UNITS_AUTOMATICALLY = "Invalid Craft Design - Resourceful players get Repair Units Automatically";
	public static String INVALID_CRAFT_DESIGN_SPATIAL_DISTORTIONS_CANNOT_BE_PLACED_ON_A_CRAFT = "Invalid Craft Design - spatial distortions cannot be placed on a craft";
	public static String INVALID_CRAFT_DESIGN_YOU_CAN_ONLY_INSTALL_ = "Invalid Craft Design - You can only install ";
	public static String INVALID_CRAFT_DESIGN_HAS_NO_ENGINE = "Invalid Craft Design - Has no engine";
	public static String INVALID_CRAFT_DESIGN_HAS_NO_HULL = "Invalid Craft Design - Has no hull";
	public static String INVALID_COMMAND_NO_CRAFT_DESIGN_SPECIFIED = "Invalid Command - No craft design specified";
	public static String INVALID_COMMAND_YOU_MUST_ATTACK_AN_ENEMY_PLANET = "Invalid Command - You must attack an enemy planet";
	public static String INVALID_COMMAND_NO_ENEMY_ON_THIS_PLANET = "Invalid Command - No enemy on this planet";
	public static String INVALID_COMMAND_YOU_CANNOT_ATTACK_YOUR_OWN_PLANET = "Invalid Command - You cannot attack your own planet";
	public static String INVALID_COMMAND_CANNOT_BOMBARD_A_PLANET_WHEN_ENEMY_CRAFTS_ARE_IN_ORBIT_WITH_YOU = "Invalid Command - Cannot bombard a planet when enemy crafts are in orbit with you";
	public static String INVALID_COMMAND_CANNOT_BOMBARD_A_PLANET_THAT_HAS_DEFENSES = "Invalid Command - Cannot bombard a planet that has defences";
	public static String INVALID_COMMAND_CANNOT_ATTACK_A_PLANET_THAT_HAS_DEFENSES = "Invalid Command - Cannot attack a planet with defences";
	public static String INVALID_COMMAND_CANNOT_DEPLOY_TO_A_PLANET_IN_CRISIS = "Invalid Command - Cannot deploy to a planet in crisis";
	public static String INVALID_COMMAND_YOU_MUST_BOMBARD_DEFENCELESS_PLANETS = "Invalid Command - Defenseless planets must be bombarded (not attacked)";
	public static String INVALID_COMMAND_YOU_ARE_NOT_AT_WAR_WITH_PLAYER = "Invalid Command - You are not at war with player ";
	public static String INVALID_COMMAND_THIS_PLANET_HAS_NO_OWNER = "Invalid Command - This planet has no owner";
	public static String INVALID_COMMAND_HAS_ORDERS = "Invalid Command - This already has orders";
	public static String INVALID_COMMAND_THIS_CANNOT_BE_GIVEN_ORDERS_WHILE_AT_WARP = "Invalid Command - This cannot be given orders while at warp";
	public static String INVALID_COMMAND_DESTINATION_IS_OUT_OF_RANGE = "Invalid Command - Destination is out of range";
	public static String INVALID_COMMAND_CANNOT_INVADE_A_PLANET_THAT_HAS_DEFENCES = "Invalid Command - Cannot invade a planet that has defenses";
	public static String INVALID_COMMAND_YOU_CANNOT_INVADE_A_PLANET_UNLESS_YOU_ARE_AT_WAR = "Invalid Command - You cannot invade a planet unless you are at war";
	public static String INVALID_COMMAND_YOU_CAN_ONLY_INVADE_PLANETS_OWNED_BY_AN_ENEMY = "Invalid Command - You can only invade planets owned by an enemy";
	public static String INVALID_COMMAND_YOU_CAN_ONLY_MOVE_SETTLERS_TO_YOUR_OWN_COLONIES = "Invalid Command - You can only move settlers to your own colonies";
	public static String INVALID_COMMAND_THE_CURRENT_OWNER_PREVENTS_YOU_FROM_DEPLOYING_HERE = "Invalid Command - The current owner prevents you from deploying here";
	public static String INVALID_COMMAND_YOU_HAVE_ALREADY_DEPLOYED_A_MODULE_OF_THIS_TYPE = "Invalid Command - You have already deployed a module of this type";
	public static String INVALID_COMMAND_YOU_DO_NOT_HAVE_AN_ORBITAL_AT_THIS_LOCATION = "Invalid Command - You do not have an orbital at this location";
	public static String INVALID_COMMAND_THIS_TRANSPORT_CANNOT_BE_DEPLOYED_CLOSE_TO_ENEMY_ACVTIVITY = "Invalid Command - This transport cannot be deployed close to enemy acvtivity";
	public static String INVALID_COMMAND_YOU_CANNOT_CREATE_A_NEW_TRADE_ROUTE = "Invalid Command - You cannot create a new trade route";
	public static String INVALID_COMMAND_YOU_MUST_SPECIFY_A_STELLAR_OBJECT = "Invalid Command - You must specify a stellar object";
	public static String INVALID_COMMAND_YOU_MUST_SPECIFY_A_DEPLOY_TARGET = "Invalid Command - You must specify a deploy target";
	public static String INVALID_COMMAND_SCENARIO_EDITOR_CAN_ONLY_BE_OPENED_WHEN_DATE_IS_3000 = "Invalid Command - Scenario editor can only be opened when date is 3000 [email me if you think I should change this]";
	public static String INVALID_COMMAND_CANNOT_BUILD_THIS_TRADE_ROUTE_MOST_OWN = "Invalid Command - You must own the solar systems in a trade route";
	public static String INVALID_COMMAND_CANNOT_BUILD_THIS_TRADE_ROUTE = "Invalid Command - Cannot build this trade route";
	public static String INVALID_COMMAND_BUSY = "Task In Progress - please wait";
	public static String INVALID_MP_NOT_AVAILABLE = "Multi Player not available";
	public static String INVALID_IP_ADDRESS = "Invalid IP Address";
	public static String LAST_COMMAND_CANCELLED = "Last command may have been lost";
	public static String YOU_ARE_IN_A_TUTORIAL_FOLLOW_THE_INSTRUCTIONS_OR_CLOSE_THE_TUTORIAL = "You are in a tutorial - follow the instructions or close the tutorial";
	public static String THIS_SOLAR_SYSTEM_HAS_ENEMIES = "This Solar System has enemies that will attack your scout craft - Please choose another or stop the tutorial";
	public static String SCENARIO_EDITOR_CANNOT_BE_USED_IN_TUTORIAL_MODE = "Scenario editor cannot be used in tutorial mode";
	public static String SCENARIO_EDITOR_ONLY_AVAILABLE_IN_PAID_VERSION = "Scenario editor only available in PAID version - UPGRADE NOW!";
	public static String INVALID_ASSET_TRANSFER = "Invalid Asset Transfer - Can't transfer ownership of a mining colony";

	public static final String YOU_CANNOT_ADD_THIS_SHIELD_BECUASE_YOU_ALREADY_HAVE_ONE_OF_THIS_GROUP = "You cannot add this shield because you already have one of this group";
	public static final String YOU_CANNOT_ADD_THIS_SCANNER_BECUASE_YOU_ALREADY_HAVE_ONE_OF_THIS_GROUP = "You cannot add this scanner because you already have one of this group";
	public static final String THERE_ARE_NOT_TECHNOLOGIES_OF_THIS_GROUP_TO_UPGRADE = "There are not technologies of this group to upgrade";
	public static final String THERE_ARE_NOT_TECHNOLOGIES_OF_THIS_TYPE_TO_UPGRADE = "There are not technologies of this type to upgrade";
	public static final String PLUS_MORE = " plus more";
	public static final String UPGRADE_NOW = "UPDATE NOW - New version available to download from www.masteroftactics.org";
	public static final String TOTAL = "Total";
	public static final String MP_CONNECT_WINDOW_NEW = "Join New";
	public static final String MP_CONNECT_WINDOW_EXISTING = "Join Loaded";
	public static final String MULTIPLAYER_GAME_IN_POROGRESS = "Invalid Command - Multi player game in progress";

	public static String EDITOR_REQUIRES_LOCAL_CLIENT = "Editor can only be run on Local Client";
	public static String ONLY_PAID_VERSION_HAS_EDITOR = "Only the full version contains a scenario editor - buying this software funds upgrades and improvements too!!";
	public static String THIS_DOES_NOT_BELONG_TO_YOU = "This does not belong to you";
	public static String GAME_LOADED_BUT_COULD_NOT_FIND_PLAYER_ = "Game loaded - but could not find player ";
	public static String GAME_LOADED_BUT_NO_USER_SELECTED = "This is a Multi Player game - You must specify a player and load from the Multi Player menu";
	public static String NO_USER_PLAYERS_EXIST_IN_THIS_GAME = "No user players exist in this game";
	public static String THE_SOURCE_CRAFT_CANNOT_ATTACK_A_LOCATION = "The source craft cannot attack empty space (select an enemy craft to attack)";
	public static String THE_SOURCE_CRAFT_DOES_NOT_HAVE_THIS_MANY_WEAPON_AVAILABLE_TO_FIRE = "The source craft does not have this many weapon available to fire";
	public static String THE_SOURCE_CRAFT_DOES_NOT_HAVE_WEAPON_ = "The source craft does not have weapon ";
	public static String THIS_DOES_NOT_HAVE_ANY_WEAPONS_READY_TO_FIRE = "This does not have any weapons ready to fire";
	public static String NOT_OPERATING = "This does no longer operating";
	public static String THERE_ARE_CRAFT_WITH_HIGHER_INITIATIVE_THAT_HAVE_NOT_MOVED_YET = "There are craft with higher initiative that have not moved yet";
	public static String THERE_ARE_OTHER_CRAFTS_OF_A_HIGHET_INITIATIVE_WAITING_TO_MOVE = "There are other crafts of a higher initiative waiting to move";
	public static String YOU_ARE_NOT_IN_CONTROL_OF_THIS = "You are not in control of this";
	public static String TARGET_IS_OUT_OF_RANGE_FOR_ALL_WEAPONS = "Target is out of range for all weapons";
	public static String TARGET_IS_OUT_OF_RANGE_OF_WEAPON = "Target is out of range of weapon ";
	public static String NO_TARGET = "No Target";
	public static String THE_SOURCE_CRAFT_DOES_NOT_HAVE_WEAPON = "The source craft does not have weapon ";
	public static String TARGET_TOO_CLOSE_TO_PLANET = "Target too close to Planet";
	public static String YOU_HAVE_NOT_REQUIRED_ALL_THE_TECHNOLOGY_TO_USE_FIGHTERS = "You have not required all the technology to use fighters";
	public static String THIS_DOES_NOT_HAVE_ANY_FIGHTERS_READY_TO_LAUNCH = "This does not have any fighters ready to launch";
	public static String THIS_DOES_NOT_HAVE_ANY_FIGHTERS = "This does not have any fighters";
	public static String THIS_HAS_ALREADY_MOVED = "This has already moved";
	public static String THIS_CANNOT_MOVE = "This cannot move";
	public static String YOU_CANNOT_COMMAND = "You cannot command this";
	public static String THERE_ARE_OTHER_CRAFT_WITH_HIGHER_INITIATIVE_THAT_HAVE_NOT_MOVED_YET = "There are other craft with higher initiative that have not moved yet";
	public static String THIS_CRAFT_CANNOT_RETREAT_DUE_TO_MOVEMENT_DAMAGE = "This craft cannot retreat due to movement damage";
	public static String YOU_CANNOT_ATTACK_CRAFTS_AT_WARP = "You cannot attack crafts at warp";
	public static String _IS_NOT_CAPABLE_OF_COLONISING_ = " is not capable of colonising ";
	public static String YOU_CANNOT_COLONISE_A_PLANET_WITH_ENEMY_CRAFT_IN_ORBIT = "You cannot colonise a planet with enemy craft in orbit";
	public static String _IS_ALREADY_OWNED_BY_ANOTHER_PLAYER = " is already owned by another player";
	public static String _IS_ALREADY_COLONISED = " is already colonised";
	public static String THIS_OBJECT_IS_UNDER_ATTACK = "This object is under attack";
	public static String FLEET_IS_NOT_IN_ORBIT = "Fleet is not in orbit";
	public static String CRAFT_IS_NOT_IN_A_FLEET = "Craft is not in a fleet";
	public static String YOU_ALREADY_HAVE_ONE_OF_THESE_TECHNOLOGIES = "You already have one of these technologies";
	public static String YOU_DO_NOT_HAVE_ANY_TRANSPORTS_AVAILABLE = "You do not have any transports available";
	public static String CANNOT_TRANSPORT_COLONISTS_TO_A_PLANET_THAT_DOOES_NOT_BELONG_TO_YOU = "Cannot transport colonists to a planet that does not belong to you";
	public static String _HAS_ALREADY_BEEN_REGISTERED = " has already been registered";
	public static String A_RACE_OPTIONS_FOR_RACE_ = "A race options for race ";
	public static String THIS_IS_A_LOST_USER_GAME_NO_SUCH_PLAYER_ = "This is a lost user game - No such player ";
	public static String THIS_IS_NOT_A_SINGLE_USER_GAME = "This is not a single user game";
	public static String YOU_MUST_SELECT_A_FILE_TO_LOAD = "You must select a file to load";
	public static String YOU_DO_NOT_HAVE_ANY_CRAFT_DESIGN_FOR_NAME_ = "You do not have any craft design for name ";
	public static String YOU_DO_NOT_HAVE_ANY_CRAFT_DESIGNS = "You do not have any craft designs";
	public static String NO_CRAFT_DESIGN_SPECIFIED = "No craft design specified";
	public static String TRANSPORT_MUST_BE_IN_ORBIT_TO_DEPLOY = "Transport must be in orbit to deploy";
	public static String TRANSPORT_LOST_AT_ = "Transport lost at ";
	public static String THIS_DOES_NOT_HAVE_ANYTHING_TO_DEPLOY = "This does not have anything to deploy";
	public static String THIS_TRANSPORT_DOES_NOT_BELONG_TO_YOU = "This transport does not belong to you";
	public static String PRODUCTION_PERCENT_CANNOT_EXCEED_100 = "Production percent cannot exceed 100%";
	public static String YOU_DO_NOT_OWN_ALL_TECHNOLOGY_IN_THIS_SALVAGE_LIST = "You do not own all technology in this salvage list";
	public static String YOU_CAN_ONLY_RENAME_A_PLANET_OR_A_SOLAR_SYSTEM = "You can only rename a Planet or a Solar System";
	public static String THIS_NAME_IS_ALREADY_IN_USE = "This name is already in use";
	public static String YOU_CANNOT_CHANGE_A_NAME_TO_NOTHING = "You cannot change a name to nothing";
	public static String IT_IS_UNWISE_TO_SPEND_MORE_MONEY_THAN_YOU_HAVE = "It is unwise to spend more money than you have";
	public static String CANNOT_ALLOCATE_NEGATIVE_VALUES = "Cannot allocate negative values";
	public static String _OR_HAVE_ENOUGH_IN_SALVAGE = " or have enough in salvage";
	public static String YOU_HAVE_NOT_DISCOVERED_ = "You have not discovered ";
	public static String YOU_CANNOT_BUILD_MORE_PLANETS_IN_THIS_SOLAR_SYSTEM = "You cannot build more planets in this solar system";
	public static String YOU_DO_NOT_HAVE_ENOUGH_BORALIUM_CRYSTALS_100_REQUIRED = "You do not have enough boralium crystals (100 required)";
	public static String THIS_PLANET_ALREADY_HAS_A_MINING_STATION = " already has a mining station";
	public static String INVALID_COMMAND_THIS_IS_ALREADY_TAKEN = "Invalid Command - This is already taken";
	public static String YOU_CANNOT_SET_THE_PROJECT_ON_A_PLANET_THAT_DOES_NOT_BELONG_TO_YOU = "You cannot set the project on a planet that does not belong to you";
	public static String YOU_CANNOT_UPGRADE_A_CRAFT_ON_A_PLANET_THAT_HAS_A_PROJET = "You cannot upgrade a craft on a planet that already has a project";
	public static String YOU_HAVE_ALREADY_ASSIGNED_SPIES_TO_THIS_PLAYER = "You have already assigned spies to this player";
	public static String YOU_DO_NOT_HAVE_THIS_MANY_SPIES_TO_ASSIGN = "You do not have this many spies to assign";
	public static String YOU_HAVE_ALREADY_ASSIGNED_SPIES_TO_THIS_STELLAR_OBJECT = "You have already assigned spies to this stellar object";
	public static String SOME_COLONISTS_HAVE_BEEN_LEFT_BEHIND_BECAUSE_YOU_DO_NOT_HAVE_ENOUGH_TRANSPORTS = "Some colonists have been left behind because you do not have enough transports";
	public static String THIS_TRANSPORT_CONTAINS_TROOPS = "This transport contains Troops";
	public static String THIS_PLANET_DOES_NOT_HAVE_ENOUGH_COLONISTS = "This planet does not have enough Colonists";
	public static String THIS_TRANSPORT_CONTAINS_COLONISTS = "This transport contains Colonists";
	public static String THIS_PLANET_DOES_NOT_HAVE_ENOUGH_TROOPS = "This planet does not have enough Troops";
	public static String _PEOPLE = " people";
	public static String ORIGIN_PLANET_DOES_NOT_HAVE_ENOUGH_POPULATION_TO_TRANSFER_ = "Origin planet does not have enough population to transfer ";
	public static String DESTINATION_PLANET_DOES_NOT_BELONG_TO_YOU = "Destination planet does not belong to you";
	public static String ORIGIN_PLANET_DOES_NOT_BELONG_TO_YOU = "Origin planet does not belong to you";
	public static String CLOSE_WINDOW_FIRST_I_WILL_DO_IT_FOR_YOU_THIS_TIME = "Close Window First (I will do it for you this time)";
	public static String CREATE_A_NEW_GAME_FIRST = "Create a new Game or Load an existing game first";
	public static String CRAFT_NAME_MUST_BE_A_MAXIMUM_OF_15_CHARACTERS = "Craft Name must be a maximum of 15 characters";
	public static String YOU_ALREADY_HAVE_A_CRAFT_DESIGN_USING_THIS_NAME = "You already have a craft design using this name";
	public static String AVG_SPEED = "Average Speed";
	public static String PSI = "Psi";
	public static String SPEED = "Speed";
	public static String DAMAGE = "Damage";
	public static String HIT_PONTS = "Hit Points";
	public static String SPACE = "Space";
	public static String MAX_DAMAGE = "Max Damage";
	public static String ASSAULT = "Assault";
	public static String INITIATIVE = "Initiative";
	public static String CLOAK = "Cloak";
	public static String MANOUVERABILITY = "Maneuverability";
	public static String COMPUTER_POWER = "Computer Power";
	public static String SPECIALS_BONUS = "Special Bonus";
	public static String PLAYER_BONUS = "Player Bonus";
	public static String RESOURCE_BONUS = "Resource Bonus";
	public static String LEADER_BONUS = "Leader Bonus";
	public static String TECH_BONUS = "Technology Bonus";
	public static String DEFENCE_BONUS = "Weapon Defence Bonus";
	public static String ATTACK_BONUS = "Weapon Attack Bonus";
	public static String ATTACKER_BONUS = "Attacker Bonus";
	public static String WEAPON_DAMAGE_CAPS = "WEAPON DAMAGE";
	public static String DEFENCE_BONUS_OF = "Defence Bonus of";
	public static String SHIELD_BLOCK = "Shield Block";
	public static String FOR_DEFENCE = "For Defence";
	public static String PRIZE = "Prize";
	public static String RELIC = "Relic";
	public static String OK = "OK";
	public static String COMMANDS = "Commands";
	public static String PLANET_POP = "Planet Pop";
	public static String CARGO = "Cargo";
	public static String TRANSPORTS_IN_ORBIT = "Transports in Orbit";
	public static String _FAILED = " Failed";

	// weapons
	public static String REPLICA_BEAM_NO_EFFECT = "Replica Beam - No Effect";
	public static String IMMUNE = "Immune";
	public static String LOST = "Lost";
	public static String NO_EFFECT = "No Effect";
	public static String REPLICA_BEAM_NO_BORALIUM = "Replica Beam - No Boralium";
	public static String BORALIUM_USED = "Boralium Used - ";
	public static String PUT = "Put";
	public static String FAIL = "Fail";
	public static String ENGINE_DAMAGE = "Engine Damage +";
	public static String PSI_DAMAGE = "Psi Damage ";
	public static String PSI_HEAL = "Psi Heal ";
	public static String SUCCESS = "Success";
	public static String SHIELD_BLOCKED = "Shield Blocked";
	public static String INCUMBERED = "Incumbered";
	public static String DAMAGE_BOTS = "Damage Bots +";
	public static String PLAGUE = "Plague +";
	public static String CREW = "Crew";
	public static String INOPERABLE_NO_CREW = "Inoperable - No Crew";
	public static String DAMAGE_BOT = "Damage Bot +";

	// Combo list items
	public static String GALAXY_SIZE_TINY = "Tiny";
	public static String GALAXY_SIZE_SMALL = "Small";
	public static String GALAXY_SIZE_MEDIUM = "Medium";
	public static String GALAXY_SIZE_LARGE = "Large";
	public static String GALAXY_SIZE_HUGE = "Huge";

	public static String LEVEL_0 = "Tutorial";
	public static String LEVEL_1 = "Easy";
	public static String LEVEL_2 = "Normal";
	public static String LEVEL_3 = "Hard";
	public static String LEVEL_4 = "Real Hard";
	
	public static String FOREIGN_POLICY_ISOLATIONIST = "Isolationist";	
	public static String FOREIGN_POLICY_EXPANSIONIST = "Expansionist";
	public static String FOREIGN_POLICY_NORMAL = "Normal";

	public static String COLOUR_BLUE = "blue";
	public static String COLOUR_RED = "red";
	public static String COLOUR_GREEN = "green";
	public static String COLOUR_ORANGE = "orange";
	public static String COLOUR_YELLOW = "yellow";
	public static String COLOUR_PINK = "pink";
	public static String COLOUR_GREY = "grey";
	public static String COLOUR_MONSTER = "monster";

	public static String ORDER_BY_NAME = "Order by Name";
	public static String ORDER_BY_POPULATION = "Order by Population";
	public static String ORDER_BY_TERRAFORM = "Order by Terraform";
	public static String ORDER_BY_OUTPUT = "Order by Prod Output";

	public static String QTY_COMP_PLAYERS_1 = "1";
	public static String QTY_COMP_PLAYERS_2 = "2";
	public static String QTY_COMP_PLAYERS_3 = "3";
	public static String QTY_COMP_PLAYERS_4 = "4";
	public static String QTY_COMP_PLAYERS_5 = "5";

	public static String TREATY_ALLIANCE = "Alliance";
	public static String TREATY_NON_AGRESSION = "Non Aggression Pact";
	public static String TREATY_PEACE = "Peace";
	public static String TREATY_RESEARCH = "Research";
	public static String TREATY_TRADE = "Trade";
	public static String TREATY_WAR = "War";

	public static String EXCHANGE_TREATY = "Exchange Treaty";
	public static String DEMAND_TREATY = "Demand";
	public static String GIFT_TREATY = "Gift";
	public static String YOU_CANNOTBUILD_THIS_HERE = "You cannot build this here";
	public static String MAX_QTY_EXCEEDED = "Maximum Quantity Exceeded";

	// SPY ROLES
	public static String SPY_ROLE__SABOTAGE = "Sabotage";
	public static String SPY_ROLE_DEFEND = "Defend";
	public static String SPY_ROLE_ESPIONAGE = "Espionage";

	// THESE MUST MATCH TECH TYPES
	public static String HULL = "Hull";
	public static String ENGINE = "Engine";
	public static String COMPUTER = "Computer";
	public static String SCANNER = "Scanner";
	public static String WEAPON = "Weapon";
	public static String SHIELD = "Shield";
	public static String SPECIAL = "Special";
	public static String SALVAGE = "Salvage";
	public static String EDIT_TYPE = "Edit Type:";

	// PlanetBonuses
	public static String UNKNOWN = "Unknown";
	public static String GOLD = "Gold";
	public static String DIAMONDS = "Diamonds";
	public static String GEMS = "Gems";
	public static String TOXIC = "Toxic";
	public static String BAREN = "Barren";
	public static String DESERT = "Desert";
	public static String ARID = "Arid";
	public static String TERRAN = "Terran";
	public static String GIA = "Gaia";
	public static String UTOPIA = "Utopia";

	// Prizes
	public static String _BORALIUM_CRYSTALS_AT_ = " boralium crystals at ";
	public static String YOU_HAVE_DISCOVERED_ = "You have discovered ";
	public static String YOU_HAVE_DISCOVERED_AN_ABANDONED_CRAFT = "You have discovered an abandoned craft ";
	public static String YOU_HAVE_DISCOVERED_A_PIRATE_S_CACHE_OF_MONEY = "You have discovered a pirate's cache of money ";
	public static String YOU_HAVE_DISCOVERED_DETAILS_OF_THE_TECHNOLOGY = "You have discovered details of the technology ";
	public static String YOU_HAVE_DISCOVERED_RELICS_CONTAINING_SECRETS_OF_ANCIENT_TECHNOLOGY = "You have discovered a relics containing the secrets of ancient technology ";

	// Resources
	public static String TRITANIUM_MAX_DAM_50 = "Tritanium (Max Dam+50%)";
	public static String A_STRONG_AND_LIGHT_ALLOY_ALL_HULLS_CAN_SUSTAIN_50_DAMAGE = "A strong and light alloy : All hulls can sustain +50% damage";
	public static String TRITANIUM_ORE = "Tritanium Ore";
	public static String CLOAK_PALM_CLOAK_150 = "Cloak Palm (Cloak+150)";
	public static String A_PLANT_EXTRACT_THAT_HAS_NATURAL_CLOAKING_ABILITIES_CLOAK_ABILITY_150 = "A plant extract that has natural cloaking abilities : Cloak ability +150";
	public static String CLOAK_PALM = "Cloak Palm";
	public static String RARE_CRYSTALL_USED_IN_SOME_VERY_POWERFUL_WEAPONS_AND_PLANET_CONSTRUCTION = "Rare crystal used in some very powerful weapons and Planet Construction";
	public static String BORALIUM_1 = "Boralium (+1)";
	public static String BORALIUM = "Boralium";
	public static String REACTANT_MATTER_THAT_EVAPORATES_NORMAL_MATTER_ON_CONTACT_WEAPON_DAMAGE_25 = "Reactant matter that evaporates normal matter on contact : Weapon Damage +25%";
	public static String ANTI_MATTER_DAM_25 = "Anti-Matter (Dam+25%)";
	public static String ANTI_MATTER = "Anti-Matter";
	public static String RARE_FUNGUS_THAT_ENHANCES_THE_PSI_ABILITIES_OF_A_RACE_ONCE_EATEN_PSI_ABILITY_15 = "Rare fungus that enhances the psi abilities of a race once eaten : Psi ability +15";
	public static String PSI_FUNGUS_PSI_15 = "Psi Fungus (Psi+15)";
	public static String PSI_FUNGUS = "Psi Fungus";
	public static String WARP_CRYSTAL_SPD_25 = "Warp Crystal (Spd+25%)";
	public static String AN_ENRICHED_AND_UNUSDUALLY_PURE_FORM_OF_WARP_CRYSTAL_ALL_CRAFTS_MOVE_50 = "An enriched and unusually pure form of warp crystal : All crafts move +50";
	public static String WARP_CRYSTAL = "Warp Crystal";
	public static String ENERGY_SPORES_SHIELD_50 = "Energy Spores (Shld+50%)";
	public static String ENERGY_SPORES__DESCRIPTION = "Microscopic spores that can absorb energy : Increase shield power by 50%";
	public static String ENERGY_SPORES = "Energy Spores";

	public static String BLACK_HOLE = "Black Hole";

	// Transport Tasks
	public static String _TO_ = " to ";
	public static String COLONISTS = "colonists";
	public static String _COLONISTS_ = " colonists ";
	public static String MOVE_ = "Move ";
	public static String _COLONISTS = " colonists";
	public static String NOW_HAS = " now has ";
	public static String LOAD_ = "Load ";
	public static String COLONISTS_ONTO_TRANSPORT_AT = " colonists onto transport at ";
	public static String _TROOPS_ = " troops ";
	public static String TROOPS = " troops";
	public static String TROOPS_ONTO_TRANSPORT_AT = " troops onto transport at ";
	public static String YOUR_ENEMY_HAS_DESTROYED_A_TRANSPORT_AS_IT_ARRIVED_AT = "Your enemy has destroyed a transport as it arrived at ";
	public static String DEPLOY_STATION = "Deploy station ";
	public static String DEPLOY_MODULE = "Deploy module ";
	public static String SALVAGE_AVAILABLE_FOR_USE = "Salvage available for use:";

	public static String TT_PLANET_POPULATION = "This is the quantity of people on this planet at the moment.<br/>Populations grow fastest when the population is half maximum population";
	public static String TT_PLANET_MAX_POPULATION = "This is the maximum quantity of people this planet can support.<br/>It is calculated by Planet Size x Terraform + Bonuses + Extra Terrestrial Population (Space Stations / Battle Stations).";
	public static String TT_PLANET_FACTORIES = "This is the quantity of infrastructure that has been built on this planet.<br/>Machines build things faster than humans so infrastructure is a major factor in a planet's output.";
	public static String TT_PLANET_MIN_ECOLOGY = "This is the quantity of work this planet is spending on ecology.<br/>Terraforming a planet converts it from barren or desert environment to a lush green fertile planet.<br/>Because colonies produce pollution, there is a minimum amount that must be spent on ecology to prevent environmental degradation (un-terraforming).<br/>Spending more than the minimum on ecology improves its environment (terraforms the planet upto the maximum your technology allows).<br/>Increasing your ecology spend improves a planet's terraform and decreasing a planet's ecology decreases a planet's terraform.";
	public static String TT_PLANET_PRODUCTION = "<html>This is the quantity of work this planet is spending on building its project.<br/>Increasing production means the planet's project will be completed sooner.</html>";
	public static String TT_PLANET_RESEARCH = "<html>This is the quantity of work this planet is spending on the players research project.<br/>Increasing research means the player's research project will be completed sooner.</html>";
	public static String TT_PLANET_MONEY = "Work a planet produces and does not use is converted to money and added to the player's treasury.<br/>This is the quantity of money generated per turn from work not used in production, development, ecology, or research.<br/>If a planet generates a large surpless (a lot of output not used and thus converted to money) some of the surpless is wasted. Wasted money is shown in red.";
	public static String TT_PLANET_LOST_PRODUCTION = "<html>This is the quantity of production lost on this planet due to cultural dominance.</html>";
	public static String TT_PLANET_INFLUENCE = "<html>This is the quantity of culture this planet is producing each turn.<br/>Each sector of space is owned by the player who has produced the most culture in it.</html>";
	public static String TT_PLANET_GROUND_DEFENCES = "<html>This is the quantity of troops stationed on the planet. This grows relative to the population of the planet.<br/>Troops are used to defend your planet from invasion in a ground assault and to load into a transport to invade an enemy's planet.</html>";
	public static String TT_PLANET_WEAPONS = "<html>This is the weapons that have been built on this planet.<br/>These are used to defend the planet when attacked by enemies. Hint - build missiles here.</html>";
	public static String TT_PLANET_SCANNERS = "<html>This is the scanners that have been built on this planet.<br/>These are used to defend the planet when attacked by enemies. Hint - always have your best scanner on a planet.<br/>Scanners also allow you to see crafts as they approach your planets. You can see a craft if scanner strength > distance to scanner + cloak level.</html>";
	public static String TT_PLANET_SHIELDS = "<html>This is the shields that have been built on this planet.<br/>These are used to defend the planet when attacked by enemies. Hint - always have your best shield on a planet.<br/>Shields protect you planet from damage when attacked by your enemies.</html>";
	public static String TT_PLANET_RENAME = "<html>You may change the name of a planet or solar system.<br/>To change this name click the button and enter a new name.</html>";
	public static String TT_PLANET_ABANDON = "<html>Destroy your colony on this planet.</html>";
	public static String TT_PLANET_LOAD_TRANSPORT_COLONISTS = "<html>You can move colonists between planets.<br/>Moving colonists between planets can improve growth because planets with a tiny population and planets with a population close to maximum population grow slowly.<br/>Click this button to load 5 colonists from this planet into a transport (click this multiple times to fill the transport ship or load multiple transports).<br/>A transport ship will then appear on the galaxy map that you can move like a normal craft.</html>";
	public static String TT_PLANET_LOAD_TRANSPORT_TROOPS = "<html>You can move troops between planets to increase defence OR invade an enemy planet.<br/>Click this button to load 5 troops from this planet into a transport (click this multiple times to fill the transport ship or load multiple transports).<br/>A transport ship will then appear on the galaxy map that you can move like a normal craft.</html>";
	public static String TT_FLEET_WAY_POINT = "<html>Your fleet way point is the location that all craft you build will travel to automatically.<br/>This can be used to specify a location where all your new craft should congregate and await your orders.</html>";

	public static String TT_PRODUCTION_PERCENT = "<html>Modifies the percentage of work allocated to production on this Planet.<br/>Move this slider to increase or decrease production output.</html>";
	public static String TT_RESEARCH_PERCENT = "<html>Modifies the percentage of work allocated to research on this Planet.<br/>Move this slider to increase or decrease research output.</html>";
	public static String TT_ECOLOGY_PERCENT = "<html>Modifies the percentage of work allocated to ecology on this Planet.<br/>If you wish to speed up terraforming, slide this to the right.</html>";
	public static String TT_DEVELOPMENT_PERCENT = "<html>Modifies the percentage of work allocated to building infrastructure on this planet.<br/>If you wish to speed the production of new factories, slide this to the right.</html>";
	public static String TT_AUTO_ECOLOGY_PERCENT = "<html>Automatically manage ecology percent. If the planet can be terraformed, spends minimum required to maintain terraform + 10% otherwise it spends the minimum required to maintain terraform.</html>";
	public static String TT_AUTO_DEVELOPMENT_PERCENT = "<html>Automatically manage infrastructure percent. If the planet can use more factories, it spends 10% otherwise it spends 0%.</html>";
	public static String TT_PROJECT_PROGRESS = "<html>This is the planetery project build progress bar, it shows the percentage of the total work required to complete a project that has been spent so far.</html>";
	public static String TT_VARY_PRODUCTION = "<html>Vary the development or research percent to maintain the current planetary surplus.<br/>A surplus of more than 5% incurs wastage and the higher the surplus the more wastage is incurred.<br/>On hard levels it is important to avoid wasteage, one of these boxes to maintain the existing surplus level.</html>";
	
	public static String TT_BUTTON_BUY = "Build the project now by purchasing. This does cost more than building it normally.";
	public static String TT_BUTTON_CHANGE = "Change the project this planet is building.";
	public static String TT_BUTTON_ABANDON = "Abandon this planet. This planet is no longer a colony and all population is lost.";
	public static String TT_BUTTON_RENAME = "Change the name of this Planet or Solar System.";
	public static String TT_BUTTON_TRANSFER_TROOPS = "<html>Load 5 troops onto a transport so they can be used to invade another player's planet.<br/> A transport can contain 25, click this 5 time to fill transport up!</html>";
	public static String TT_BUTTON_TRANSFER_COLONISTS = "<html>Load 5 colonists onto a transport so they can be used to increase the population on another colony.<br/>A transport can contain 25, click this 5 time to fill transport up!</html>";
	public static String TT_BUTTON_BUILD = "Set this project as the next task this planet should build.";
	public static String TT_BUTTON_SELECT_ON_IDLE = "Set this project as the next task this planet should build and on all planets currently not building anything.";
	public static String TT_BUTTON_REPEAT = "Increase the quantity of time this project is to be built. Use this to build more than one craft of the same design.";
	public static String TT_BUTTON_NO_PROJECT = "Set this planet's project to nothing.";
	public static String TT_BUTTON_MANUALLY_SELECT_UPGRADES = "<html>If you planet has a Missile 6 and you start a new project Missile 15, it becomes an upgrade project.<br/>Manually selecting upgrades switches of this functionality.</html>";

	public static String TT_BUTTON_FILE_MENU = "<html>Display the file menu.</html>";
	public static String TT_BUTTON_CRAFT_MENU = "<html>Display the craft menu.</html>";
	public static String TT_BUTTON_EMPIRE_MENU = "<html>Display the empire menu.</html>";

	public static String TT_STATUS_TRANSPORTS = "<html>The quantity of transports available for use.<br/>Transports are used to move colonists and troops between planets.<br/>Transports are also used to move and deploy outpost and space stations.</html>";
	public static String TT_STATUS_FUNDS = "<html>The quantity of funds (money) in your reserve + credit or deficit at the end of turn.<br/>Always keep funds available for emergencies so you can build things quickly.</html>";
	public static String TT_STATUS_DATE = "<html>The date in the game.<br/>Each time you press end turn the date increases.</html>";
	public static String TT_STATUS_SPY = "<html>This is the quantity of spies available.<br/>These spies can assigned to defend, sabotage or espionage.</html>";

	public static String TT_RELATIONS_OFFER_MONEY = "<html>Offer money as part of your diplomatic negotiations.</html>";
	public static String TT_RELATIONS_OFFER_TECH = "<html>Offer a technology as part of your diplomatic negotiations.</html>";
	public static String TT_RELATIONS_OFFER_PLANET = "<html>Offer a planet as part of your diplomatic negotiations.</html>";
	public static String TT_RELATIONS_OFFER_CRAFT = "<html>Offer a craft as part of your diplomatic negotiations.</html>";
	public static String TT_RELATIONS_OFFER_NOTHING = "<html>Remove everything you have offered as part of these negotiations.</html>";
	public static String TT_RELATIONS_WANT_MONEY = "<html>Request or demand money as part of your diplomatic negotiations.</html>";
	public static String TT_RELATIONS_WANT_TECH = "<html>Request or demand a technology as part of your diplomatic negotiations.</html>";
	public static String TT_RELATIONS_WANT_PLANET = "<html>Request or demand a planet as part of your diplomatic negotiations.</html>";
	public static String TT_RELATIONS_WANT_CRAFT = "<html>Request or demand a craft as part of your diplomatic negotiations.</html>";
	public static String TT_RELATIONS_WANT_NOTHING = "<html>Remove everything you have requested or demanded as part of these negotiations.</html>";
	public static String TT_CUSTOM_MESSAGE = "<html>You can attach a custom message with your diplomatic request.<br/>This will have no effect on Computer Players as they do not understand English.</html>";
	public static String TT_RELATIONS_SEND = "<html>Using the 'Want' and 'Offer' options above you formulate a diplomatic communique.<br/>Once you are happy with your statement, press the send button to send this statement the other player for consideration.</html>";
	public static String TT_ESPIONAGE_PLUS = "<html>Transfer a Spy from Defend to Espionage.<br/>The more spies you allocated to a given player the more chance you have of stealing technology.</html>";
	public static String TT_ESPIONAGE_MINUS = "<html>Transfer a Spy from Espionage to Defend.<br/>The more spies you allocate to defend, the harder it is for enemy spies to steal your technologies or sabotage you planets.</html>";
	public static String TT_SABOTAGE_PLUS = "<html>Transfer a Spy from Defend to Sabotage.<br/>The more spies you allocated to a given player the more chance you have of sabotaging installations on enemy planets.</html>";
	public static String TT_SABOTAGE_MINUS = "<html>Transfer a Spy from Sabotage to Defend.<br/>The more spies you allocate to defend, the harder it is for enemy spies to steal your technologies or sabotage you planets.</html>";
	public static String TT_ESPIONAGE_SS = "<html>Transfer a Spy from Defend to Espionage on a solar system.<br/>Allocating a spy to a solar system allows you to view all the details of the planet for the rest of the game.</html>";
	public static String TT_ESPIONAGE_PLAYER = "<html>Transfer a Spy from Defend to Espionage on a Player.<br/>Allocating a spy to a player allows you to see all the technologies the player has discovered and the treaties.</html>";
	public static String TT_RECRUIT_SPIES = "<html>A spy is not something you can build or purchase, they must be recruited.<br/>You allocate a set quantity of money each turn to recruit spies, the more you allocate the quicker you will recruit spies.</html>";

	public static String TT_CRAFT_DESIGN_NEW = "<html>Create a new Craft Design.<br/>Before building a craft you must create a craft design. Crafts are designed for a particular purpose, and its what you place onto a craft that defines its usefulness.</html>";
	public static String TT_CRAFT_DESIGN_UPDATE = "<html>Update an existing craft design.<br/>This will not modify any ships already built using this design and will not modify any planetary projects building this craft design.</html>";
	public static String TT_CRAFT_DESIGN_DELETE = "<html>Delete this craft design.<br/>This will not modify any ships already built using this design and will not delete any projects on a planet using this design.</html>";
	public static String TT_CRAFT_DESIGN_HULL = "<html>A Hull is the ship structure into which you place everything else used to design a craft. A craft must have a Hull and an Engine.<br/>Space - This is how much space the hull contains to mount equipment, the bigger a hull's space the more equipment you can place on a craft.<br/>Maximum Damage is how much damage a hull can take before its destroyed.<br/>Crew - This is how many crew (people) a craft can hold. A hull with more crew is harder to invade and has more troops to invade an enemy craft.<br/>Movement Cost - This is the amount of effort required to maneuver this hull, bigger hulls have a larger inertia and so move slower.<br/>Each item that can be placed on a craft has a space property and the sum space of all items placed into a crfat design must be lass than the space available in the hull.</html>";
	public static String TT_CRAFT_DESIGN_ENGINES = "<html>An Engine provided population for the craft, better engines move faster and further.<br/>An engines range is defined by how far the engine can transport a craft from the closest planet or outpost.<br/>An engines warp speed is defined as its speed between planets.<br/>An engines impulse speed is defined as its speed on the battle field.<br/>An engines turning speed is defined as an engines speed of turning in a battle.<br/>Maneuverability is calculates from an engines impulse and turning speed, craft size and other bonuses and has a huge effect of the damage a craft receives and inflicts in battle.</html>";
	public static String TT_CRAFT_DESIGN_COMPUTERS = "<html>A Computer calculates battle movements in a battle.<br/>Better computers produce more manouverable crafts.</html>";
	public static String TT_CRAFT_DESIGN_SCANNERS = "<html>Scanners are your eyes in the universe.<br/>A crafts visibility in a battle is calculated as (distance from your scanner + cloak level) - scan range of the scanner.<br/>If a craft has cloaking it is not visible on the battle field (or on its way to attack) unless your scanners are strong enough to cover the distance and de-cloak the craft.</html>";
	public static String TT_CRAFT_DESIGN_WEAPONS = "<html>Weapons are used to attack your enemies but there are many special types with custom functionality.<br/>Range - The maximum distance between the attacker and defender the weapon allows.<br/>Degradation - The amount of effect lost by this weapon as the distance between the attacker and defender increases.<br/>Variation - This is the amount of difference in damage a weapon may produce between different uses.<br/>Damage - This is the damage this weapon inflicts on the target (un-modified by degradation and variation).</html>";
	public static String TT_CRAFT_DESIGN_SHIELDS = "<html>Shields protect your craft from damage, invasion and the effects of many weapons.<br/>Cloak - This is the amount of cloaking a shield applies to your craft. If a craft is cloaked then 50% of attacks miss.<br/>Power - This is the total damage these shields can block. When power reaches 0 the shields will do nothing.<br/>Damage Blocked - This is the amount of damage blocked from each weapon hit.<br/>Discharge Rate - This is the amount of power that is removed from a shields for every point of damage that is blocked.<br/>Recharge Rate - This is the amount of power that can be gained (recharged) each turn.<br/> e.g. Shield with Damage blocked 2, Power 20, Discharge Rate 0.5 when hit 2 weapons with damage 5<br/>Actual damage done to craft is 3 per weapon (weapon damage 5 - shield block 2) so total damage to craft is 6<br/>Shield Power is reduced by 1 per weapon (damage blocked 2 x discharge rate 0.5) so is reduced to 18</html>";
	public static String TT_CRAFT_DESIGN_SPECIALS = "<html>Specials are all the other things that can be placed onto a craft.<br/>Read the description of each for details.</html>";
	public static String TT_CRAFT_DESIGN_SALVAGE = "<html>Salvage is collected from the wreckage on a battlefield using a salvage beam.<br/>Salvage can be used to build new craft an reduce the cost of craft construction.</html>";
	public static String TT_BUILD_QUALITY = "<html>Crafts with a low build quality move slower are less manouverable and less reliable.<br/>The first crafts built of any particular design have a low build quality.<br/>You may increase initial build quality of a craft design by researching quality control technology.</html>";
	public static String TT_CRAFT_FROM_SALVAGE = "<html>If salvage is available while building a craft, it will be used to reduce the work required to build the craft.</html>";

	public static String EMPIRE_POPULATION = "<html>This is the quantity of people in you empire at the moment.<br/>This is the sum of populations of all your planets.</html>";
	public static String EMPIRE_RESEARCH = "<html>This is the quantity of research you are generating each turn in you empire at the moment.<br/>You can maximise the research you produce by concentrating research on planets with a research bonus.</html>";
	public static String EMPIRE_INCOME = "<html>This is the total quantity of money generated each turn in you empire at the moment.</html>";
	public static String EMPIRE_EXPENSES = "<html>This is the quantity of costs you incur each turn in you empire at the moment.<br/>You can examine details of your costs by examing your balance sheet.</html>";
	public static String EMPIRE_PROFIT = "<html>This is the excess funds you are generating each turn: Total Income - Total Costs.</html>";
	public static String EMPIRE_BORALIUM = "<html>This is the quantity of boraliam you have at the moment.<br/>This is a special resource required to fire some powerful weapons. It can also be used to create planets (once you have the technology).<br/>You can can only get boralium by finding the crystals as a prize or mining a planet containing boralium crystals. It is not guaranteed that you will get any!</html>";
	public static String EMPIRE_SALVAGE = "<html>Salvage is collected from the wreckage on a battlefield using a salvage beam.<br/>Salvage can be used to build new craft an reduce the cost of craft construction.<br/>You should also consider collecting salvage because salvage can provide technology discoveries.</html>";
	public static String EMPIRE_BONUSUS = "<html>This is your list of bonuses.<br/>Some of these are created as part of your start game / race options.<br/>Some of these are created through technological discovery or gifts from the ancient races.</html>";
	public static String TT_SELL_SALVAGE_SS = "<html>Sell all salvage in the salvage list.<br/>You can sell individual items of salvage by clicking on them.</html>";

	public static String TT_KEYS_BATTLE = "<html>e = Express Mode, m = Move Mode, a = Attack Mode, SPACE = Next Mode<br/>n = Next, t = End Turn, w = Wait, r = Retreat, ESC = Complete<br/>f = Fire at enemy without moving, c = Move and attack closest enemy<br/>SHIFT = Prefer automatons (Missiles etc), CONTROL = Prefer location, ALT = Turn Only / Shield Drain Only</html>";
	public static String TT_KEYS_GALAXY = "<html>&nbsp;&nbsp;&nbsp;n = Next, v = Previous, s = Save, l = Load, e = Empire Window, r = Research Window, d = Craft Design Window, j = Join Fleet, ESC = Close Dialog<br/>&nbsp;&nbsp;&nbsp;For more key bindings hover over menu items.</html>";

	public static String TT_BUTTON_CANCEL = "Do nothing and close this window.";

	public static String TT_INTRO = "<html>The game is set in a galaxy containing a number of races all of which have just discovered space travel technology.<br/>You are to explore the galaxy, colonise new worlds and expand your empire. Start the game by clicking the OK button.</html>";
	public static String TT_SOLAR_SYSTEM = "<html>You start the game with a single colony called " + GameConstants.TUTORIAL_HOME_NAME + "-A (Planet name has your colour).<br/>You can view its details by double clicking on the Planet. Double click on the planet now to open the Solar System Window.</html>";
	public static String TT_SET_PROJECT1 = "<html>On the left is a list of all the planets in this solar system, observe that your home planet has a population of more than zero and produces.<br/>A planet builds one thing at a time, called its project. Click on 'Change' button to change this planet's project.</html>";
	public static String TT_SET_PROJECT2 = "<html>On the left of the screen is a list of available projects, select Coloniser.<br/>Close this window by pressing 'Build' button, then close the Solar System Window by pressing the 'Close' button.</html>";
	public static String TT_CLEAR_PLANET_SELECTION = "<html>You currently have your home planet selected. The game menu is only visible when you do not have anything selected.<br/>To clearn your selection, right click anywhere on the galaxy map.</html>";
	public static String TT_SET_RESEARCH1 = "<html>You research one technology at a time. To set your research project press the 'Open Research Window' command that looks like a test tube.<br/>Select any research project from the list on the left then press the 'Select' button to close the window.</html>";
	public static String TT_SET_RESEARCH2 = "<html>Technologies available for research are listed on the left, select one, then press the 'Select' Button.</html>";
	public static String TT_MOVE_COLONY_CRAFT = "<html>You start a game with a Scout and a Coloniser, they are located at your home planet, click on the craft.<br/>All the crafts at this location appear in a selection list, select the coloniser then click on the planet "+ GameConstants.TUTORIAL_FIRST_COLONY_NAME + "-A and this will instruct the craft to move to that solar system.</html>";
	public static String TT_END_TURN = "<html>Crafts do not actually move until you end your turn.<br/>Click the end turn button in the bottom right corner.</html>";
	public static String TT_MOVE_SCOUT_CRAFT = "<html>All planets within a solar system are considered the same location. So crafts move between them instantly.<br/>Select the Scout craft at your Home Planet, then click on planet " + GameConstants.TUTORIAL_HOME_NAME + "-B.</html>";
	public static String TT_SCOUT_RANGE = "<html>How far a craft can travel is called its range and is determined by the engines it contains. Select the scout craft by clicking on it.<br/> Now click on the Sun called " + GameConstants.TUTORIAL_FIRST_EXPLORE_NAME + " to send the scout to explore. You will discover a prize or relic left behind by ancient civilisations here.</html>";
	public static String TT_FINAL_TIP = "<html>Continue moving your scout around the galaxy to explore and discover relics and prizes.<br/>Finish this tutorial by clicking anything, another tutorial will start once your coloniser arrives at Solar System " + GameConstants.TUTORIAL_FIRST_COLONY_NAME + ".</html>";

	public static String TT_COLONISER_ARRIVED = "<html>Your coloniser has arrived, we must select a planet to colonise from the list.<br/>Click on the planet First-A to colonise it.</html>";
	public static String TT_FIRST_COLONY = "<html>Congratulations you have colonised your first planet, you can choose your own names for solar system on planets.<br/>Accept the default name by pressing the OK button and this will bring us to the Solar System Window.</html>";
	// public static String TT_FIRST_COLONY = "<html>Congratulations you have
	// colonised your first planet, accept the name by pressing the OK
	// button.<br/>View the details of the planet by opening the solar system window
	// - Double click on your new colony.</html>";
	public static String TT_FIRST_COLONY_VIEW = "<html>The new colony has a tiny population, we will build a transport to transfer people from your home planet to this new colony.<br/>To build a Transport on this planet, click the 'Change' button.</html>";
	public static String TT_FIRST_COLONY_SETPROJECT = "<html>On the left of the screen is a list of available projects, select Transport.<br/>Close this window by pressing 'Build' button.</html>";
	public static String TT_FIRST_COLONY_PURCHASE = "<html>This planet has no infrastructure so it will take a long time to build the transport.<br/>You may purchase a project to complete it quickly, click the 'Buy' button then press 'Yes'.</html>";
	public static String TT_FIRST_COLONY_ENDTURN = "<html>Planets do their work at the end of your turn.<br/>Close this window to return to galaxy map, then press the 'End Turn' button so the Transport is built.</html>";
	public static String TT_FIRST_COLONY_NOPROJECT = "<html>Whenever a planet finishes building its project the Solar System Window is opened to prompt you to select a new project.<br/>Close this window by pressing the Close button. This Planet will now not have a project, after this tutorial you should consider creating one.</html>";
	public static String TT_FIRST_COLONY_OPENSS = "<html>The transport has now been built, examine the status panel (bottom right) notice picture of transport followed by 1.<br/>Open the Solar System Window on your home planet by double clicking on the planet.</html>";
	public static String TT_FIRST_COLONY_USETRANS = "<html>We will load colonists onto a transport so we can move them to another planet.<br/>Click on the 'Other' tab, then press the 'Load Colonists' button. Each time you press the button it will load more colonists.</html>";
	public static String TT_FIRST_COLONY_CLOSESS = "<html>A transport craft is visible on the galaxy map just like normal crafts, but are only visible when they are in use.<br/>Return to the galaxy map by pressing the 'Close' button.</html>";
	public static String TT_FIRST_COLONY_SELECTTRANS = "<html>Notice there are no transports available for use (status panel shows 0 transports).<br/>You can move these colonists to another planet by moving the transport like a normal craft. Select the Transport by clicking on it.</html>";
	public static String TT_FIRST_COLONY_MOVETRANS = "<html>Move these colonists to " + GameConstants.TUTORIAL_FIRST_COLONY_NAME + "-A by clicking on the planet.<br/>When this transport arrives the colonists will automatically be added to the colony.</html>";
	public static String TT_FIRST_COLONY_FINAL_TIP = "<html>It's a race to colonise as many planets as you can, continue playing by building colonisers. Finish this tutorial by clicking 'Stop Tutorial'.<br/>Note - To colonise planet with terraform 0.7 requires a craft with a colony module 0.7 or below!</html>";

	public static String TT_MONSTER_INSTRUCTMOO = "<html>The galaxy contains many solar systems that are guarded by Pirate Craft and Ancients, they attack any craft that arrives at their solar system.<br/>You have just instructed your craft to move to a Solar System that contains an Enemy. Open the craft window by double clicking on your the selected craft.</html>";
	public static String TT_MONSTER_CRAFTDESIGN = "<html>In this game you design your own craft and its what equipment you place on a craft that defines its purpose. Hover the mouse over the craft bays to find hout more!<br/>A craft suitable to attack your enemy must contains weapons (and probably a scanner, shields and a computer too). Close this window to Close.</html>";

	public static String TT_CRAFT_DESIGN = "<html>You design your own craft in Master of Tactics. You started the game with two craft designs, Coloniser and Scout.<br/>Open the Craft Design window by clicking on the menu button (you can hover over buttons to view tool tips).</html>";
	public static String TT_CRAFT_DESIGN_OPEN_CRAFT_DESIGNS = "<html>You can view the details of existing craft designs using the list (on the left). We will create a new craft design. <br/>Press the 'New' button to create a new craft design.</html>";
	public static String TT_CRAFT_DESIGN_NEW_CRAFT_DESIGN = "<html>Each craft design has a unique name, it can be anything, but usually you would name your design resembling its purpose.<br/>We are going to design a military craft so call the new design 'Fighter'. Now press the OK button.</html>";
	public static String TT_CRAFT_DESIGN_AUTO_DESIGN = "<html>A craft must have a hull and an engine, but usually have other equipment too. A military craft must have weapons.<br/>Browse the tool tips for each button from hull to special then press the 'Auto' button to design a default military craft.</html>";
	public static String TT_CRAFT_DESIGN_SELECT_WEAPONS = "<html>You have not discovered many technologies yet, but you do have missiles and projectile weapons available.<br/>Click the 'Weapons' button and a list of available weapons will be displayed.</html>";
	public static String TT_CRAFT_DESIGN_ADD_MISSILE = "<html>Add a missile by clicking on the missile item in the list of weapons. Notice that 'Remaining Space' is now negative.<br/>This tells us we are using more space than the hull contains. Press the 'Close' button to finish your design.</html>";
	public static String TT_CRAFT_DESIGN_AUTO_DESIGN_AGAIN = "<html>Press the 'Auto' button again, remaining space is no longer negative!<br/>Press the 'Close' button to finish your design and this tutorial.</html>";

	public static String TT_SCANNERS = "<html>Switch 'Auto Dev' off, then move the development slider to the far right to increase development.<br/>This planet is now industrialising faster. Close the window to finish this tutorial.</html>";
	public static String TT_SPIES = "<html>Switch 'Auto Dev' off, then move the development slider to the far right to increase development.<br/>This planet is now industrialising faster. Close the window to finish this tutorial.</html>";
}
