/*
 * Copyright (c) 2013-2019 Paul Davis
 *  
 * This file is part of Master of Tactics.
 *
 * Master of Tactics is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Master of Tactics is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Master of Tactics.  If not, see <https://www.gnu.org/licenses/>.
 * 
 * @author Paul Davis
 */
package mot.utils;

import java.io.FileOutputStream;

import javax.xml.transform.Transformer;
import javax.xml.transform.TransformerFactory;
import javax.xml.transform.stream.StreamResult;
import javax.xml.transform.stream.StreamSource;

public class FileConverter {

	public static void main(String[] args) throws Exception {
		String fileName = args[0];
		
		TransformerFactory tFactory = TransformerFactory.newInstance();
		Transformer transformer = tFactory.newTransformer(new StreamSource("convert_1_1_to_1_2.xst"));
		transformer.transform(new StreamSource(fileName), new StreamResult(new FileOutputStream("out_"+fileName)));
//		
//		BufferedReader in = new BufferedReader( new FileReader(file) );
//        StringBuffer sb = new StringBuffer();
//        String line = in.readLine();
//        while (line != null) {
//			sb.append(line);
//			sb.append("\n");
//            line = in.readLine();
//        }
//        in.close();
//        
//        String outText = convert1_1to1_2(sb.toString());
//
//        BufferedOutputStream bos = new BufferedOutputStream(new FileOutputStream(file));
//        bos.write(outText.getBytes());
//        bos.close();
	}

}
